#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x15e2aa39, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0xbd848c9d, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x48a953a5, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xcb5b1e6c, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x67aa35bd, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0x7a5b7873, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xd5da504b, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xe1f75b5a, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x3304a056, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x20b29fcd, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x0c683b30, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x3381c347, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x57af3d87, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x9cfb0269, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x2ce8b76f, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x33984892, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xdcd24a80, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7ed2491a, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x32e1e296, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc716df62, "get_device" },
	{ 0x5057a64b, "wake_up_process" },
	{ 0x122c3a7e, "_printk" },
	{ 0x60fc3cf8, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f7aa099, "debugfs_create_devm_seqfile" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb02e5fc2, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0x1f45ca06, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa2095084, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0x2a56607b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x20795718, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0x96f317c9, "cdev_init" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x793d4f16, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9B1E263B1469480FEDAF739");
