#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xfa842eef, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x9dc603f0, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xc06a78cd, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x1365de41, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x1138766d, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x59a14bdf, "_gpl");
SYMBOL_CRC(register_mtd_user, 0xe014d18d, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xdc3e9a89, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x498d890f, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x9cf90334, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x0c10dd99, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x4a32503e, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xd075b14b, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xeed8d68f, "_gpl");
SYMBOL_CRC(mtd_erase, 0x8481ac73, "_gpl");
SYMBOL_CRC(mtd_point, 0x6914b337, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x34c54ec7, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x0f6aa238, "_gpl");
SYMBOL_CRC(mtd_read, 0x08dfd978, "_gpl");
SYMBOL_CRC(mtd_write, 0x0d85fb8d, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xb8665242, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0xdbdac5f4, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x1ed4850b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x043c413a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x2beabbab, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x6d5c5420, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x7cfcea2b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x9f0d3d01, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x2bddc5f3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0xd61c9274, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xdb9c5ebe, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x92f506f0, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x8925375d, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x9fd476ca, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0x1e120431, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x7a3e92c1, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x1e6b8b90, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x1d445c13, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xa52b29ef, "_gpl");
SYMBOL_CRC(mtd_lock, 0xc0d798ab, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x78fcf5c6, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xb054c562, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xa50ac7a2, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xc118de1d, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x80f1bcbc, "_gpl");
SYMBOL_CRC(mtd_writev, 0x9b6a6fd3, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x6a1902c1, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xec4c6d07, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x9d9a1a5c, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x480159e4, "");
SYMBOL_CRC(mtd_concat_destroy, 0xed5393d0, "");
SYMBOL_CRC(mtd_add_partition, 0x6472d33e, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x8a3e60fe, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x28d7a7c2, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x1f43068b, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x1c803881, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x751134a3, "generic_shutdown_super" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2e88cb62, "of_node_put" },
	{ 0x98233f08, "sget_dev" },
	{ 0xf7e78c36, "bdi_unregister" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0xf2dabbfa, "of_get_compatible_child" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x14d6a593, "bdi_register" },
	{ 0x2eed13ae, "of_node_name_prefix" },
	{ 0x1d39d3e7, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5e8ffa94, "of_node_get" },
	{ 0x14b568c2, "logfc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x51ba6411, "sysfs_remove_files" },
	{ 0xde42e56d, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x405bfad5, "bdi_put" },
	{ 0x76c1c111, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x664db34c, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd3a61f58, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xd43babfb, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x7dcbf285, "debugfs_create_bool" },
	{ 0x7efa53b8, "of_prop_next_string" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeac680c0, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x853e036, "fixed_size_llseek" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x81655e3d, "of_property_read_string" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf9a2b652, "of_find_property" },
	{ 0xc9889e0, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfa17413e, "bdi_alloc" },
	{ 0x8268b269, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4d66cc3e, "of_device_is_compatible" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x713a2665, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd51c3295, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xea77b5ab, "remove_proc_entry" },
	{ 0xf4a84f10, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x40470452, "deactivate_locked_super" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x41c7271c, "of_alias_get_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3402c51d, "dev_err_probe" },
	{ 0xb9095bd6, "proc_create_single_data" },
	{ 0xc977964e, "nvmem_register" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd1d0c484, "of_platform_populate" },
	{ 0xdb091696, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");
