#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(t3_l2t_send_slow, "", "");
KSYMTAB_FUNC(t3_l2t_send_event, "", "");
KSYMTAB_FUNC(t3_l2e_free, "", "");
KSYMTAB_FUNC(t3_l2t_get, "", "");
KSYMTAB_FUNC(cxgb3_register_client, "", "");
KSYMTAB_FUNC(cxgb3_unregister_client, "", "");
KSYMTAB_FUNC(cxgb3_free_atid, "", "");
KSYMTAB_FUNC(cxgb3_free_stid, "", "");
KSYMTAB_FUNC(cxgb3_insert_tid, "", "");
KSYMTAB_FUNC(cxgb3_queue_tid_release, "", "");
KSYMTAB_FUNC(cxgb3_remove_tid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb3_alloc_stid, "", "");
KSYMTAB_FUNC(dev2t3cdev, "", "");
KSYMTAB_FUNC(t3_register_cpl_handler, "", "");
KSYMTAB_FUNC(cxgb3_ofld_send, "", "");

SYMBOL_CRC(t3_l2t_send_slow, 0xce532588, "");
SYMBOL_CRC(t3_l2t_send_event, 0x1903260c, "");
SYMBOL_CRC(t3_l2e_free, 0xfc38bead, "");
SYMBOL_CRC(t3_l2t_get, 0xdf91cf9d, "");
SYMBOL_CRC(cxgb3_register_client, 0xaf38f89a, "");
SYMBOL_CRC(cxgb3_unregister_client, 0xae345c75, "");
SYMBOL_CRC(cxgb3_free_atid, 0xcfa74995, "");
SYMBOL_CRC(cxgb3_free_stid, 0x5f42d8ec, "");
SYMBOL_CRC(cxgb3_insert_tid, 0x6f61a122, "");
SYMBOL_CRC(cxgb3_queue_tid_release, 0x53e34e4e, "");
SYMBOL_CRC(cxgb3_remove_tid, 0x76bc2f70, "");
SYMBOL_CRC(cxgb3_alloc_atid, 0xd08330fe, "");
SYMBOL_CRC(cxgb3_alloc_stid, 0x475569f2, "");
SYMBOL_CRC(dev2t3cdev, 0xddf893f9, "");
SYMBOL_CRC(t3_register_cpl_handler, 0x6cf1b62f, "");
SYMBOL_CRC(cxgb3_ofld_send, 0x78d2e159, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff43c53, "pcie_capability_read_word" },
	{ 0xed6222bf, "napi_gro_frags" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x91b86f0c, "pcie_capability_write_word" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0xc9c42ab7, "pci_read_vpd" },
	{ 0x1844fd2e, "pci_enable_device" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x77bc13a0, "strim" },
	{ 0x5d7fd88d, "netdev_update_features" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x967b20af, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0x182516f9, "napi_get_frags" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xcdbc0749, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd6f3c40a, "pci_disable_msi" },
	{ 0x3847cf00, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7d8a4208, "__put_devmap_managed_page_refs" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e17f466, "mdio_set_flag" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x349698ce, "pci_enable_msix_range" },
	{ 0x811457dd, "pci_write_vpd_any" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0xe651881f, "__free_pages" },
	{ 0xee02dc76, "_dev_info" },
	{ 0xbce1a592, "napi_gro_receive" },
	{ 0xc6cbbc89, "capable" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xfbd58bf1, "pci_find_capability" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfdd934c4, "_dev_alert" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfdc6a649, "pci_enable_msi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0x1617d9da, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0xbc5df4b8, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbc05d64f, "netif_receive_skb" },
	{ 0xf3719da4, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd77a79e4, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcd67feb1, "netif_tx_stop_all_queues" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3c54476b, "netif_rx" },
	{ 0xf7feffed, "__neigh_event_send" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x31cde4ba, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8391a10b, "neigh_destroy" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb703cc7d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x435f2f35, "alloc_pages" },
	{ 0xdaceb7a6, "mdio_mii_ioctl" },
	{ 0xe0d5b6c4, "netdev_master_upper_dev_get_rcu" },
	{ 0x9a97bf67, "__folio_put" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0x147192d4, "__vlan_find_dev_deep_rcu" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x7cae3f0d, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeff961ec, "vlan_dev_vlan_id" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4569c155, "__kfree_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xf967d677, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mdio");

MODULE_ALIAS("pci:v00001425d00000020sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000022sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000024sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000026sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000032sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000035sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000036sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00000037sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E2F81FAFDD33310C436FC66");
