#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x5b49f784, "");
SYMBOL_CRC(vnic_dev_get_res, 0xcfd97b86, "");
SYMBOL_CRC(vnic_dev_unregister, 0x8ec2f920, "");
SYMBOL_CRC(vnic_dev_register, 0x7a560699, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xfa5f43c9, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0x83a22d2d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x597a726d, "pci_find_ext_capability" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa2c01ee9, "pci_enable_device_mem" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x5bcf910a, "pci_iomap" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xd6f3c40a, "pci_disable_msi" },
	{ 0x3847cf00, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2de450c1, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xff58c29e, "netdev_err" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x349698ce, "pci_enable_msix_range" },
	{ 0xee02dc76, "_dev_info" },
	{ 0x8fb62140, "__hw_addr_unsync_dev" },
	{ 0xbce1a592, "napi_gro_receive" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xaafd9d20, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xfdc6a649, "pci_enable_msi" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xd183e1a2, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfd54b1ac, "dev_close" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0xbc05d64f, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0xf3719da4, "register_netdev" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0x2fab76b5, "netif_set_xps_queue" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x27a05912, "rps_may_expire_flow" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb703cc7d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb4e8902a, "call_netdevice_notifiers" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xcfcce66b, "__hw_addr_sync_dev" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x7cae3f0d, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9193e010, "__skb_flow_dissect" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x79efed70, "__napi_schedule_irqoff" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0xbeff7a0e, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xf967d677, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "698D0B539A3E0B77BE7ABC4");
