#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(be_roce_mcc_cmd, "", "");
KSYMTAB_FUNC(be_roce_register_driver, "", "");
KSYMTAB_FUNC(be_roce_unregister_driver, "", "");

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x89b6543b, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x2f74f0f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2297849e, "__skb_pad" },
	{ 0xed6222bf, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1844fd2e, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x178ef280, "param_ops_ushort" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x5bcf910a, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x504c1259, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x967b20af, "dump_page" },
	{ 0x5187d241, "ndo_dflt_bridge_getlink" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0x182516f9, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xcdbc0749, "request_firmware" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xa146bc0f, "pci_num_vf" },
	{ 0x3847cf00, "pci_request_regions" },
	{ 0xcd248fbe, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8083fe07, "pci_sriov_get_totalvfs" },
	{ 0x7d8a4208, "__put_devmap_managed_page_refs" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xaf5c9911, "udp_tunnel_nic_ops" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x15e55f29, "netif_tx_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xa64ce91, "pskb_expand_head" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x7f1be49c, "pci_read_config_dword" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x349698ce, "pci_enable_msix_range" },
	{ 0x88983d5d, "netif_device_detach" },
	{ 0x8fb62140, "__hw_addr_unsync_dev" },
	{ 0xee02dc76, "_dev_info" },
	{ 0x6d999229, "netif_device_attach" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xd183e1a2, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0xbc05d64f, "netif_receive_skb" },
	{ 0xf3719da4, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0x2fab76b5, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x936bfb02, "pci_iounmap" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb688842c, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x9567e557, "netif_tx_lock" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0xe34f5c48, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb703cc7d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x435f2f35, "alloc_pages" },
	{ 0x9a97bf67, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd2b84c1d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xcfcce66b, "__hw_addr_sync_dev" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x7cae3f0d, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0x1e2bdfd8, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0x13447e, "pci_sriov_set_totalvfs" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x5903eaa8, "_dev_printk" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf6117cbd, "pci_write_config_dword" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xf967d677, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "54F7FBA3F6C66A05A883538");
