#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x398addd9, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x2c0c843b, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xa163ef80, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x7ebe53b3, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xe7398a0b, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xade10325, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xe76e422b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xef7ede94, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xb7f97972, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x222e6a9c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x6b850d69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f10a227, "usb_driver_release_interface" },
	{ 0x15bdb7b7, "usb_altnum_to_altsetting" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x75d8831b, "usb_register_driver" },
	{ 0x415fb413, "usb_deregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfa62b65a, "usbnet_link_change" },
	{ 0x1701b880, "usbnet_update_max_qlen" },
	{ 0x620a8bb, "usbnet_unlink_rx_urbs" },
	{ 0xee02dc76, "_dev_info" },
	{ 0x92414d40, "usbnet_write_cmd" },
	{ 0x9567e557, "netif_tx_lock" },
	{ 0xd3be5850, "usbnet_start_xmit" },
	{ 0x15e55f29, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0xfc4cce00, "skb_put" },
	{ 0xd4bd73c8, "usbnet_skb_return" },
	{ 0xdcb764ad, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3860440a, "hrtimer_active" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0x8aeedd87, "usbnet_read_cmd" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd45e13b3, "cdc_parse_cdc_header" },
	{ 0x7ba1117b, "usb_ifnum_to_if" },
	{ 0x6a727cd0, "usb_driver_claim_interface" },
	{ 0x5c88fc4e, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x210b483e, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x523267ea, "usbnet_get_drvinfo" },
	{ 0xc018eb9d, "usbnet_get_msglevel" },
	{ 0xa5de47be, "usbnet_set_msglevel" },
	{ 0xde85e18e, "usbnet_nway_reset" },
	{ 0x649af071, "usbnet_get_link" },
	{ 0x2497649b, "ethtool_op_get_ts_info" },
	{ 0x26889ce9, "usbnet_get_link_ksettings_internal" },
	{ 0x761af2a2, "usbnet_open" },
	{ 0x723e1ecd, "usbnet_stop" },
	{ 0x48d9a0bc, "usbnet_set_rx_mode" },
	{ 0x19d3e536, "eth_mac_addr" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0x3017af49, "usbnet_tx_timeout" },
	{ 0x1b03e9ee, "dev_get_tstats64" },
	{ 0xcff9eb2c, "usbnet_manage_power" },
	{ 0x932f14f2, "usbnet_cdc_update_filter" },
	{ 0x16322a5e, "usbnet_probe" },
	{ 0xd6a092f2, "usbnet_disconnect" },
	{ 0x87ac4bc7, "usbnet_suspend" },
	{ 0xb1dbe6a3, "usbnet_resume" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
