#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x6c03a316, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x210b483e, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x58bc630f, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x7c695de4, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xd4bd73c8, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x1701b880, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x1342045d, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xc10c9e37, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xbbae3cc0, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc900a84a, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x4811137e, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x0620a8bb, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x723e1ecd, "_gpl");
SYMBOL_CRC(usbnet_open, 0x761af2a2, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x8ad047ee, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x26889ce9, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x07e1b7c5, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x649af071, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xde85e18e, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x523267ea, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xc018eb9d, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xa5de47be, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x48d9a0bc, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x3017af49, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xd3be5850, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xd6a092f2, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x16322a5e, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x87ac4bc7, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xb1dbe6a3, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x23ef3219, "");
SYMBOL_CRC(usbnet_manage_power, 0xcff9eb2c, "");
SYMBOL_CRC(usbnet_link_change, 0xfa62b65a, "");
SYMBOL_CRC(usbnet_read_cmd, 0x8aeedd87, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x92414d40, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x438cb36a, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x1a988c2f, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x97724536, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x5c88fc4e, "usb_set_interface" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x956b3562, "usb_string" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5d1b94e8, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbe74a604, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfdf32ba9, "usb_unlink_urb" },
	{ 0xcbe40eef, "usb_free_urb" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf307a8fc, "usb_submit_urb" },
	{ 0xff58c29e, "netdev_err" },
	{ 0x837e3225, "mii_ethtool_get_link_ksettings" },
	{ 0xba110248, "mii_ethtool_set_link_ksettings" },
	{ 0xb08ddedb, "mii_nway_restart" },
	{ 0x930b6b4f, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x88983d5d, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x279e48f9, "usb_kill_urb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6d999229, "netif_device_attach" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fded1ae, "usb_control_msg" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf12575d8, "usb_autopm_get_interface" },
	{ 0x3fc1f8a6, "usb_autopm_put_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x8892ec50, "usb_alloc_urb" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xf960c480, "mii_link_ok" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0xdd64e639, "strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3719da4, "register_netdev" },
	{ 0x203d4768, "pm_runtime_enable" },
	{ 0xf967d677, "netdev_info" },
	{ 0x860d1e3d, "usb_check_bulk_endpoints" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0x2f286c37, "consume_skb" },
	{ 0xafee0adc, "usb_get_from_anchor" },
	{ 0x54541c01, "skb_defer_rx_timestamp" },
	{ 0x3c54476b, "netif_rx" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x133b138b, "skb_queue_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa826f89, "skb_dequeue" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xbeff7a0e, "skb_clone_tx_timestamp" },
	{ 0x29791ef8, "usb_autopm_get_interface_async" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0xc92e1d01, "usb_anchor_urb" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x6bc43350, "usb_autopm_get_interface_no_resume" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x5f525abd, "usb_clear_halt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x19d3e536, "eth_mac_addr" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0x1b03e9ee, "dev_get_tstats64" },
	{ 0x2497649b, "ethtool_op_get_ts_info" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2280BDCCF4D372927E793FB");
