#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_DATA(rt2800_rt2x00debug, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x675cc5e6, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x9d582a2d, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xd78cf9a1, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x5c9cc2ac, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x8568b4dd, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x4ab73683, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x129588b1, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xe2b9915d, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x74be5099, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0xf856b459, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x7090233b, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x81ec5dc9, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xdd68381e, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x7f8b3ad0, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0x1e09edd5, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0xb145005e, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x9b747447, "_gpl");
SYMBOL_CRC(rt2800_rt2x00debug, 0xcf716adc, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x218957ee, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x79bd8eaa, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x9f5ab4d9, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xbaa5c886, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x768cb402, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xcb81157a, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x570c98b1, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x4c2ece2e, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xdc0854e9, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x350e1c53, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xa95b5b91, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x2e39b021, "_gpl");
SYMBOL_CRC(rt2800_config, 0x2a468643, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xbbbd50c9, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0xf9ae9d95, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x92ae5b67, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x8da0a879, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xe6609a33, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x38cf26d9, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x72b8b227, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x73849f59, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x68577cb4, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x459cbd4b, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xa352817a, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x35efccd3, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xe7cc3f51, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x29c65fba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe9611015, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x64dbcffa, "rt2x00lib_txdone" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x7cc55352, "rt2x00queue_get_entry" },
	{ 0x231e1104, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb4534129, "rt2x00lib_get_bssidx" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xee02dc76, "_dev_info" },
	{ 0xe609b7dd, "rt2x00mac_conf_tx" },
	{ 0x67321030, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x661b3ef5, "rt2x00lib_txdone_noinfo" },
	{ 0x44a6afa9, "skb_push" },
	{ 0xb8c504cc, "rt2x00debug_dump_frame" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x2297849e, "__skb_pad" },
	{ 0xe6e86ea7, "ieee80211_restart_hw" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0x68d59180, "rt2x00lib_set_mac_address" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");
