#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_calculate_bit_shift, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0x4cec364a, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0x4c74ca58, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x42b52849, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x83742f81, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x2eaa95f8, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0x76399639, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0xe3504189, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0x44ba879e, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0xa7bd00b6, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x8c344f2c, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0xbdaa5580, "_gpl");
SYMBOL_CRC(rtl8723_phy_calculate_bit_shift, 0x3f5bf9c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0x4853c2c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0x27603d2e, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0xd74dbe0a, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x8f15f9f1, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0x3ffef3ff, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0x986101a1, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0xb88efafd, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0xb4d07b78, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x45a481e6, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0xf4153065, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0x86a5eaa7, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x327216c4, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0xb5428d75, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa44c11b6, "rtl_fw_page_write" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "2B147AA9C6738FD9FE5920A");
