#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x2847217d, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x670dc248, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xcbc24553, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x7871aead, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x96dbc1e8, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x07b2f1d6, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x66907a08, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x66478fab, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x4657c88b, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xcca2e0ff, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xcdaaf477, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xe01c8a2b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x1869d991, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x421d8292, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x599da673, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x9036c66e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x300b99e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x86b40ce5, "iscsi_dbg_trace" },
	{ 0x5903eaa8, "_dev_printk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x967b20af, "dump_page" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x273d924, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9a6a69b6, "iscsi_itt_to_ctask" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8e32a02d, "iscsi_get_task" },
	{ 0xff94213d, "iscsi_update_cmdsn" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe6e29346, "iscsi_put_task" },
	{ 0x6b0967c, "iscsi_requeue_task" },
	{ 0x9747f871, "iscsi_prep_data_out_pdu" },
	{ 0xaba7dbdc, "iscsi_conn_failure" },
	{ 0x53af29d7, "iscsi_conn_setup" },
	{ 0xb9f69819, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x62ae4d63, "__traceiter_iscsi_dbg_tcp" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7204346d, "crypto_ahash_final" },
	{ 0x8a6d049d, "skb_prepare_seq_read" },
	{ 0x1bf5ab, "skb_seq_read" },
	{ 0x4829a47e, "memcpy" },
	{ 0x21acbd1f, "skb_abort_seq_read" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xfa98f151, "iscsi_complete_pdu" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa440dc94, "iscsi_verify_itt" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xca0d3158, "__iscsi_complete_pdu" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
