#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xc0704631, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x6d95004f, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x5cb9dceb, "_gpl");
SYMBOL_CRC(fat_scan, 0x93bb75be, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xe6cfcf10, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xfc0b1dc0, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x6df19656, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x45ae0302, "_gpl");
SYMBOL_CRC(fat_getattr, 0x314a3400, "_gpl");
SYMBOL_CRC(fat_setattr, 0x0c8e0170, "_gpl");
SYMBOL_CRC(fat_attach, 0x280693fa, "_gpl");
SYMBOL_CRC(fat_detach, 0xcd491938, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xac7b86eb, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xaba9be05, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x5ae48170, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x00675d1f, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x462792e2, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x6048d62e, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x18d67a86, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x8d20a499, "_gpl");
SYMBOL_CRC(fat_update_time, 0xd2cd3f3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54a15717, "filemap_fdatawrite" },
	{ 0xff6de82e, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4d0dbffd, "setattr_prepare" },
	{ 0xeb052067, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb24f2ae9, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0xfafb58fc, "blk_start_plug" },
	{ 0x8f809dae, "clear_inode" },
	{ 0x72a39e8e, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xcdb90f28, "new_inode" },
	{ 0xd3cb99d0, "mark_buffer_dirty" },
	{ 0x509303ed, "security_inode_setattr" },
	{ 0x4177416a, "__find_get_block" },
	{ 0x5ca6fa97, "filemap_fdatawrite_range" },
	{ 0xbc00aa99, "inode_needs_sync" },
	{ 0x3729dce0, "__blockdev_direct_IO" },
	{ 0x18a10126, "d_make_root" },
	{ 0x9d1bcda6, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x494ae297, "sb_set_blocksize" },
	{ 0xebd6f0f9, "block_truncate_page" },
	{ 0x4719d603, "write_dirty_buffer" },
	{ 0x23c827ef, "sync_filesystem" },
	{ 0x840f851e, "fsnotify" },
	{ 0xdabda8ed, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf51bfb0, "from_vfsuid" },
	{ 0xb3cf0d66, "inode_dio_wait" },
	{ 0xdd1a754c, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xedc7ebeb, "cont_write_begin" },
	{ 0x674168f9, "iput" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x85f9840c, "iter_file_splice_write" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xea7f130c, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xc13cb98d, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x49cba9e6, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1694ac4e, "block_invalidate_folio" },
	{ 0xf57d37e, "__breadahead" },
	{ 0xc49f7005, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe294d09c, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x11a21029, "generic_cont_expand_simple" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0x5c47d1f2, "truncate_inode_pages_final" },
	{ 0xa370d5ac, "generic_file_mmap" },
	{ 0x1e94fbae, "sync_mapping_buffers" },
	{ 0xb5556f9a, "ilookup" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0xcb162d4c, "invalidate_inode_buffers" },
	{ 0x9af91521, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9a83f236, "mnt_drop_write_file" },
	{ 0xc54b0605, "inode_init_once" },
	{ 0xc852fee9, "compat_ptr_ioctl" },
	{ 0xcf6f8979, "__fsnotify_parent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa8aaa0f, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xea1c8603, "generic_file_read_iter" },
	{ 0xddca9835, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x559d9b58, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe7149bb7, "sync_dirty_buffer" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x556664f6, "setattr_copy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x57465a, "__wait_on_buffer" },
	{ 0x43cd560f, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd767ec58, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2c5f4b1b, "from_vfsgid" },
	{ 0xf3741063, "write_inode_now" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc67dce1a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20277870, "__bread_gfp" },
	{ 0x954be1f0, "block_dirty_folio" },
	{ 0xc4ca578, "mpage_read_folio" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa921ef91, "__insert_inode_hash" },
	{ 0x26319684, "buffer_migrate_folio" },
	{ 0x618f2198, "make_kgid" },
	{ 0xfb236236, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xfc9997c8, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x44daa83a, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa8c690a, "igrab" },
	{ 0x4fdffac1, "__getblk_gfp" },
	{ 0xdb9fa6f2, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89cb5194, "mpage_readahead" },
	{ 0x7dbd4b71, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xa270435d, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x6701a71f, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd2c5e6b7, "generic_fh_to_parent" },
	{ 0xa2288838, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xc5a0fb7, "from_kuid_munged" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xd046d08c, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x108dd1b, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x24e40b15, "__mark_inode_dirty" },
	{ 0x7f3820bf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xaf1ce214, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x88ed7c60, "mark_buffer_dirty_inode" },
	{ 0x20ae3bf6, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x8c4a6c, "blkdev_issue_discard" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");
