#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xfcc1aaa1, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x6bb95508, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xf8a02899, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xa62943cf, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x2c6b25ad, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xf36f6f89, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xb4319821, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x95710632, "");
SYMBOL_CRC(ip_vs_conn_put, 0x9e9edd0f, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x2ef6ab0c, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x1b8324ba, "");
SYMBOL_CRC(register_ip_vs_app, 0x8df1a660, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x8e779000, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xa3246483, "");
SYMBOL_CRC(ip_vs_proto_get, 0xb26849ca, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x42d301f1, "");
SYMBOL_CRC(register_ip_vs_pe, 0xbea731be, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xccf768ff, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xe650fa8f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a214ab0, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x77f4fcbe, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0xc80959a6, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1343e08d, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbdd4d4d4, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0x7484386b, "xfrm_lookup" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb36d5743, "housekeeping_cpumask" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x3fa0cbcb, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5c151333, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe2e4ae7c, "nf_register_sockopt" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfca30b46, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb6cc65f5, "kernel_bind" },
	{ 0x41b555c, "set_user_nice" },
	{ 0x9e009d51, "genlmsg_put" },
	{ 0x68d2a9b5, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x7d22dc7f, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xde42e56d, "__module_get" },
	{ 0x7b3829f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xbc147ca4, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdbdb511d, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x72baecb3, "proc_create_net_data" },
	{ 0xa64ce91, "pskb_expand_head" },
	{ 0x8c260f9e, "register_pernet_subsys" },
	{ 0x5057a64b, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9bbf3c97, "register_net_sysctl_sz" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbb41d77, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf86ea0b3, "nf_register_net_hooks" },
	{ 0xcf95ce8d, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0xa7cafac0, "ipv6_sock_mc_join" },
	{ 0xd3a61f58, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x4b7a7f71, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x48f564c4, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x361a3d40, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x22dbbae1, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xae8216fa, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x41dd46b5, "nf_conntrack_alter_reply" },
	{ 0xebe5262d, "ip_route_me_harder" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0x98f4c0c7, "set_cpus_allowed_ptr" },
	{ 0x332d9740, "seq_putc" },
	{ 0x12e5e082, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x591a4c79, "nf_ct_expect_alloc" },
	{ 0x4c90f1f0, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x56f8ac95, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x205dc867, "ip_mc_join_group" },
	{ 0xff59c244, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x80f94b1e, "nf_unregister_net_hooks" },
	{ 0xa81a916b, "inet_select_addr" },
	{ 0xe728e9b, "unregister_pernet_device" },
	{ 0x5bcda42a, "lock_sock_nested" },
	{ 0xafa112d5, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9dd4f590, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x76e8bedc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x1c4c228, "kernel_connect" },
	{ 0x8abcb7c, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x1cb509df, "ip_defrag" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0xf93a668d, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0x40957f42, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x4cc52d53, "nf_ct_deliver_cached_events" },
	{ 0x9d2c4694, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5565e62b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf8531979, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d85a3e5, "skb_set_owner_w" },
	{ 0xbd77c4ac, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe3dc74e5, "sock_create_kern" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0xa15419a1, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xea77b5ab, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd39be134, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe60883fd, "proc_create_net_single" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x39f4c9de, "ipv4_update_pmtu" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x542ea47c, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x663cbb0a, "dst_release" },
	{ 0x266dcc77, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x440d2035, "ip_local_out" },
	{ 0x30035d8b, "genl_unregister_family" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x18a8e109, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x35c912c, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabb69c3f, "kernel_sendmsg" },
	{ 0x9afc13e6, "nf_ct_netns_put" },
	{ 0xf4bc3fd9, "register_pernet_device" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x230aa8ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "B47FFCF2C7590083D7EA02A");
