#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x854e241a, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x6274bae0, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xd1a4dcb2, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x3700efcc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x0567b439, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x62ac1584, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x34920127, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x021bc605, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x7ecb8c17, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xe5f3d14f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xdecaa0fe, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x0071f65f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xd67244f6, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x6e62cca5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x62e4722a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x4b167215, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0xedc31db5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x2e46f440, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xc27648e7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x0843b506, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x3a344a00, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x14b24bfc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x9da8d139, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xae07e371, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x971bb31c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xf36a5b72, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x8b8251d5, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xca614a79, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x5f0d2f02, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x3fcfdc48, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x006d86de, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x896f5fee, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x09ce07a5, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x88d04815, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xd404ff35, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x05fcebd8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b419757, "vsock_enqueue_accept" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xef6ac488, "_copy_to_iter" },
	{ 0x31d80ea, "vsock_insert_connected" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x7d64b4d5, "vsock_remove_sock" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0xe29c12d0, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8a19b575, "bpf_trace_run8" },
	{ 0x6adde92f, "sk_error_report" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xecc1f7b4, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x3ecc5a, "sk_free" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x73ba16b4, "__skb_recv_datagram" },
	{ 0x5bcda42a, "lock_sock_nested" },
	{ 0x74177377, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe2f0480e, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x760d5055, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x41cccf1, "bpf_trace_run10" },
	{ 0x2165f8b0, "vsock_core_get_transport" },
	{ 0x9c018903, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xecbf0ae6, "vsock_create_connected" },
	{ 0x8c9e5663, "vsock_assign_transport" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x230aa8ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x199b80bc, "vsock_data_ready" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "5A8AFCC033977F72CEAE6BF");
