#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x8b6207bb, "");
SYMBOL_CRC(snd_unregister_device, 0x50b620e4, "");
SYMBOL_CRC(snd_device_alloc, 0x4bc7f44d, "_gpl");
SYMBOL_CRC(snd_card_new, 0x0ae99fe0, "");
SYMBOL_CRC(snd_devm_card_new, 0x0d31392d, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0xa0c816dc, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xee186707, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x9a551d0d, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0xef53a447, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x503ccbb3, "");
SYMBOL_CRC(snd_card_free, 0x3fdbf377, "");
SYMBOL_CRC(snd_card_set_id, 0x45c90441, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x64cc577d, "_gpl");
SYMBOL_CRC(snd_card_register, 0x64fb2b99, "");
SYMBOL_CRC(snd_component_add, 0x5d36bb50, "");
SYMBOL_CRC(snd_card_file_add, 0xf2f3905f, "");
SYMBOL_CRC(snd_card_file_remove, 0xf82002b8, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0xcb5dfb1e, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xbf7a5c5c, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xef620309, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x37fdccdd, "");
SYMBOL_CRC(snd_ctl_notify, 0x137756a4, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xc5c873d9, "");
SYMBOL_CRC(snd_ctl_new1, 0x55155768, "");
SYMBOL_CRC(snd_ctl_free_one, 0xd6599621, "");
SYMBOL_CRC(snd_ctl_add, 0x26939d25, "");
SYMBOL_CRC(snd_ctl_replace, 0x8fe33dc5, "");
SYMBOL_CRC(snd_ctl_remove, 0x014c837a, "");
SYMBOL_CRC(snd_ctl_remove_id, 0xd79d7607, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x2bb7af88, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x230307ba, "");
SYMBOL_CRC(snd_ctl_rename, 0x016e127f, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0xb2b29599, "");
SYMBOL_CRC(snd_ctl_find_numid, 0xb9f81a75, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x9ba91c69, "");
SYMBOL_CRC(snd_ctl_find_id, 0xadda2bb4, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x7463644b, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x9cbea98d, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0xc827a079, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0xd3ec4eff, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0xd9220c6a, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x2f644878, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xe3b7d708, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x4e770222, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x403f05db, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0x28bdf51c, "");
SYMBOL_CRC(snd_fasync_helper, 0x96c50c3c, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x142bc99b, "");
SYMBOL_CRC(snd_device_disconnect, 0x14633990, "_gpl");
SYMBOL_CRC(snd_device_free, 0xab60f61a, "");
SYMBOL_CRC(snd_device_register, 0x1b6d5aae, "");
SYMBOL_CRC(snd_device_get_state, 0x91b8497c, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x945fb6bd, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x303ca135, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x8a5b5f89, "");
SYMBOL_CRC(snd_info_free_entry, 0xb4bb44e2, "");
SYMBOL_CRC(snd_info_register, 0x3455fe91, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x71cdc578, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0xe4bac25e, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x27b89c9a, "");
SYMBOL_CRC(snd_jack_add_new_kctl, 0x048839fb, "");
SYMBOL_CRC(snd_jack_new, 0x7c2f094f, "");
SYMBOL_CRC(snd_jack_set_parent, 0x84accdec, "");
SYMBOL_CRC(snd_jack_set_key, 0x542d7b09, "");
SYMBOL_CRC(snd_jack_report, 0x3fd1afa3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf466b925, "input_allocate_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xef6ac488, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xca7c93cd, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf4a1593e, "proc_mkdir_mode" },
	{ 0x7ed2491a, "device_initialize" },
	{ 0xbeac0f1a, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xa332abc2, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x32e1e296, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7d46598d, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc825e729, "devm_remove_action" },
	{ 0x30357311, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc716df62, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x381a6c29, "devres_add" },
	{ 0x726e0f6f, "single_open_size" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xbf944b61, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xe611ad04, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e95066f, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xd3a61f58, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x1fd874d4, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x145477ca, "init_uts_ns" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc6102cce, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7972b5b7, "input_set_capability" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdd6a450e, "__devres_alloc_node" },
	{ 0xf1c0c92a, "fasync_helper" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x65d23d9a, "device_del" },
	{ 0x1aa99599, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc35f7c4b, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf6a77903, "input_event" },
	{ 0x7c4b3b06, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x1f45ca06, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xa2a102c0, "proc_set_size" },
	{ 0x713a2665, "__register_chrdev" },
	{ 0xa2095084, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x7d316762, "stream_open" },
	{ 0x2a56607b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x570f60d3, "pid_vnr" },
	{ 0x46847f22, "devres_find" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xb12cf3c5, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x5a9862fa, "sound_class" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5e39755d, "proc_symlink" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x20795718, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0x1c2c84cb, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "D28E75C27BF619C639C3783");
