#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xac359cdb, "");
SYMBOL_CRC(__ib_alloc_pd, 0x7aa6a317, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x4a455068, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x3d113606, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xca153e5f, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xf083a490, "");
SYMBOL_CRC(rdma_create_ah, 0x6a95e43e, "");
SYMBOL_CRC(rdma_create_user_ah, 0x9040350b, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x3d2279b2, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xa50da626, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x0c6a2445, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xba47c9ad, "");
SYMBOL_CRC(rdma_modify_ah, 0xf2846f1a, "");
SYMBOL_CRC(rdma_query_ah, 0x310bf81b, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x917bac2b, "");
SYMBOL_CRC(ib_create_srq_user, 0x14268629, "");
SYMBOL_CRC(ib_modify_srq, 0x41947790, "");
SYMBOL_CRC(ib_query_srq, 0x592f9293, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xcbc85acb, "");
SYMBOL_CRC(ib_open_qp, 0x6e341232, "");
SYMBOL_CRC(ib_create_qp_user, 0x1d02d53f, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xe07cf45b, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x75939603, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x8915d42e, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x868874a7, "");
SYMBOL_CRC(ib_get_eth_speed, 0xe5460fd1, "");
SYMBOL_CRC(ib_modify_qp, 0x74d4e71d, "");
SYMBOL_CRC(ib_query_qp, 0x6084e8f3, "");
SYMBOL_CRC(ib_close_qp, 0xa1856753, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xd2f3667e, "");
SYMBOL_CRC(__ib_create_cq, 0x69f969e5, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xe9acf501, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xa8427c5b, "");
SYMBOL_CRC(ib_resize_cq, 0xd488741c, "");
SYMBOL_CRC(ib_reg_user_mr, 0xacb8866f, "");
SYMBOL_CRC(ib_advise_mr, 0x26b8e24b, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x7b608e24, "");
SYMBOL_CRC(ib_alloc_mr, 0xe5bd860d, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x54ed8cc3, "");
SYMBOL_CRC(ib_attach_mcast, 0x79dcbbba, "");
SYMBOL_CRC(ib_detach_mcast, 0xab9404c3, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xb063f3a2, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x8bf0691b, "");
SYMBOL_CRC(ib_create_wq, 0xf51ee5cd, "");
SYMBOL_CRC(ib_destroy_wq_user, 0xe3ce5ad7, "");
SYMBOL_CRC(ib_check_mr_status, 0xba0f3b05, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x30603b1b, "");
SYMBOL_CRC(ib_get_vf_config, 0x050b4d8d, "");
SYMBOL_CRC(ib_get_vf_stats, 0xc045f6ee, "");
SYMBOL_CRC(ib_set_vf_guid, 0xb3219b9c, "");
SYMBOL_CRC(ib_get_vf_guid, 0xf50a1664, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xd20ac7c7, "");
SYMBOL_CRC(ib_map_mr_sg, 0x897d6872, "");
SYMBOL_CRC(ib_sg_to_pages, 0x92ca7b8c, "");
SYMBOL_CRC(ib_drain_sq, 0xcfa2c933, "");
SYMBOL_CRC(ib_drain_rq, 0xb7abd4c4, "");
SYMBOL_CRC(ib_drain_qp, 0x3164a795, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x629270f0, "");
SYMBOL_CRC(rdma_init_netdev, 0x53cffe80, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x87040101, "");
SYMBOL_CRC(__ib_alloc_cq, 0x58b8b693, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x5b48624b, "");
SYMBOL_CRC(ib_free_cq, 0x9ab6b8cb, "");
SYMBOL_CRC(ib_cq_pool_get, 0x22730b23, "");
SYMBOL_CRC(ib_cq_pool_put, 0xac1af0d0, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xade3efc6, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x4c2df538, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x7e6c9a37, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xf6650756, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x076d3b07, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xf77f5293, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x6450ecad, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x356d2ecf, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xf052485f, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xbd15a147, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x0326a10f, "");
SYMBOL_CRC(ibdev_printk, 0x1e561ece, "");
SYMBOL_CRC(ibdev_emerg, 0x300a0cae, "");
SYMBOL_CRC(ibdev_alert, 0x393515c8, "");
SYMBOL_CRC(ibdev_crit, 0xdd87bb00, "");
SYMBOL_CRC(ibdev_err, 0xc4df2371, "");
SYMBOL_CRC(ibdev_warn, 0xa5e93c8a, "");
SYMBOL_CRC(ibdev_notice, 0x5c036d43, "");
SYMBOL_CRC(ibdev_info, 0x7e838a01, "");
SYMBOL_CRC(ib_device_put, 0x302f4e86, "");
SYMBOL_CRC(ib_device_get_by_name, 0xde6bf93a, "");
SYMBOL_CRC(_ib_alloc_device, 0x338ea4c2, "");
SYMBOL_CRC(ib_dealloc_device, 0x7fe6a337, "");
SYMBOL_CRC(ib_port_immutable_read, 0x1874490e, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x757f0fa3, "");
SYMBOL_CRC(ib_register_device, 0x8543cb85, "");
SYMBOL_CRC(ib_unregister_device, 0x869d984b, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x4ec56cde, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0xb0cf43a3, "");
SYMBOL_CRC(ib_register_client, 0xd6fc86f2, "");
SYMBOL_CRC(ib_unregister_client, 0x1c0e9c29, "");
SYMBOL_CRC(ib_set_client_data, 0x78dc658c, "");
SYMBOL_CRC(ib_register_event_handler, 0x07246ae0, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x1667905f, "");
SYMBOL_CRC(ib_query_port, 0x2396321e, "");
SYMBOL_CRC(ib_device_set_netdev, 0x3f1491df, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x42f05763, "");
SYMBOL_CRC(ib_query_pkey, 0x2e60117d, "");
SYMBOL_CRC(ib_modify_device, 0x031efcc3, "");
SYMBOL_CRC(ib_modify_port, 0xe38ede25, "");
SYMBOL_CRC(ib_find_gid, 0x974de7b3, "");
SYMBOL_CRC(ib_find_pkey, 0x1bb10ec7, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x03a386e0, "");
SYMBOL_CRC(ib_set_device_ops, 0xccf62d01, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x39cc00b0, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xfa50493b, "");
SYMBOL_CRC(rdma_query_gid, 0xb6e76a9d, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xa1a2e6f8, "");
SYMBOL_CRC(rdma_find_gid, 0x4f7dbf45, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x242a223a, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xb54a5df3, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x6323b552, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xb3ccf773, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x1c7434cb, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x83771c39, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x05039655, "");
SYMBOL_CRC(rdma_query_gid_table, 0x4c44ecb7, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x593750cb, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x2becc51a, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xdc42f3fa, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xf6c522d1, "");
SYMBOL_CRC(ib_dispatch_event, 0xc3da42d6, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xfc352964, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x447d9292, "");
SYMBOL_CRC(ibnl_put_attr, 0x904e45ad, "");
SYMBOL_CRC(rdma_nl_unicast, 0x8934004d, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x5f7e792e, "");
SYMBOL_CRC(rdma_nl_multicast, 0x0798373e, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xde6b222b, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x5eac66cf, "");
SYMBOL_CRC(ib_mr_pool_get, 0x49cdbda4, "");
SYMBOL_CRC(ib_mr_pool_put, 0xb25835e7, "");
SYMBOL_CRC(ib_mr_pool_init, 0x1f937ef7, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x063e26ee, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x96cfd54f, "");
SYMBOL_CRC(rdma_translate_ip, 0xdb93bae3, "");
SYMBOL_CRC(rdma_resolve_ip, 0xc3859f68, "");
SYMBOL_CRC(rdma_addr_cancel, 0x6d1f7a42, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xe4575767, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x22db727c, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x89e57c46, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x0c14ab23, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xb390c463, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x16cf9da8, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x05a85265, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xdcc20176, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x259a0211, "");
SYMBOL_CRC(ib_create_send_mad, 0x1c4d3997, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x86f3b335, "");
SYMBOL_CRC(ib_free_send_mad, 0x8168743c, "");
SYMBOL_CRC(ib_post_send_mad, 0x08c386c9, "");
SYMBOL_CRC(ib_free_recv_mad, 0xf6db3e18, "");
SYMBOL_CRC(ib_modify_mad, 0x64e975e3, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x45b0e369, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x8fbc50ac, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xe86b792c, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xaee4f712, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x96895006, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x8e79a7dc, "");
SYMBOL_CRC(rdma_link_register, 0x2ff746ea, "");
SYMBOL_CRC(rdma_link_unregister, 0xb3f522cd, "");
SYMBOL_CRC(rdma_restrack_count, 0x9090bfb5, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x4292723a, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xbc0cafa0, "");
SYMBOL_CRC(rdma_restrack_new, 0xf548bc2a, "");
SYMBOL_CRC(rdma_restrack_add, 0x6ab0a632, "");
SYMBOL_CRC(rdma_restrack_get, 0x08d68b54, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x83f0e447, "");
SYMBOL_CRC(rdma_restrack_put, 0x2ab5e9bf, "");
SYMBOL_CRC(rdma_restrack_del, 0x0ea3e438, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x54c7ef91, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x7864dd55, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xd12e2dd9, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x330a74fb, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x14efaee1, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xbb96bf8d, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x965a7d27, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x8efe6324, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x3a6f11f6, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xadacd4c9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2d00748c, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7cfa1ee5, "rdmacg_try_charge" },
	{ 0xf14e8c8b, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x90c43f5c, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x965bbd98, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc4cce00, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0xb6e931a4, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x65219386, "__ip_dev_find" },
	{ 0x3a59a92b, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xee2bd0c1, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xedd56ac8, "kobject_init" },
	{ 0x7ed2491a, "device_initialize" },
	{ 0x63e8d8b, "__dynamic_ibdev_dbg" },
	{ 0xcd91780f, "sysfs_create_groups" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc6973b0d, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xaf9a45dc, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x49981f3e, "__netlink_kernel_create" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x7b3829f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xc716df62, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8d43d1c1, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xdc03f6e4, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x12dc25bf, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x49f23a79, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0xec1e36e6, "netlink_broadcast" },
	{ 0x5a1a8a67, "net_ns_type_operations" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0xf294bf8d, "netlink_capable" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1bc504c4, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xe4dfc6c0, "vlan_dev_real_dev" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0x361a3d40, "init_net" },
	{ 0xc28bc2eb, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x648826ae, "ipv6_stub" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1fd874d4, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x22dbbae1, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x30c2d2f9, "dev_get_by_index" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12e5e082, "nla_put" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x5bd3c142, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc9889e0, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe728e9b, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9ea07f3e, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0x217eeef9, "bpf_trace_run1" },
	{ 0x65d23d9a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x316e5a4, "netdev_get_xmit_slave" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0xf7feffed, "__neigh_event_send" },
	{ 0xd3256e85, "dev_printk_emit" },
	{ 0xb557fc07, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0x2ed24f0c, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x73cc9079, "netdev_walk_all_upper_dev_rcu" },
	{ 0x37670063, "bpf_trace_run3" },
	{ 0x985bc01b, "__put_net" },
	{ 0x10881e45, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8391a10b, "neigh_destroy" },
	{ 0xa528c0ff, "kobject_del" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0xd88ec91b, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe0d5b6c4, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4ceae5c6, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xe599a659, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x663cbb0a, "dst_release" },
	{ 0x42558f1b, "kobject_uevent" },
	{ 0xe3cf1fa5, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeff961ec, "vlan_dev_vlan_id" },
	{ 0x7e725bae, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x518fcd6, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1625146a, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf4bc3fd9, "register_pernet_device" },
	{ 0xed60256f, "get_net_ns_by_fd" },
	{ 0xdb091696, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a516335, "kobject_put" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6EF3CB3E97D490BF67164E6");
