#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x80758fdf, "__platform_driver_register" },
	{ 0x8e901612, "sdhci_runtime_resume_host" },
	{ 0x30cd4f1, "sdhci_resume_host" },
	{ 0xacebade2, "__sdhci_read_caps" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4a79b62b, "is_acpi_device_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xaeeba105, "acpi_dev_hid_uid_match" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x695171d6, "platform_get_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63b68ab5, "mmc_gpio_get_cd" },
	{ 0xdcb449b4, "sdhci_get_cd_nogpio" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xc07bc24a, "acpi_device_fix_up_power_extended" },
	{ 0xf1b1c293, "platform_get_resource" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xad461eae, "__devm_request_region" },
	{ 0xf8a2e3e2, "sdhci_alloc_host" },
	{ 0x75476e08, "devm_ioremap" },
	{ 0x9341f9b4, "mmc_gpiod_request_cd" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x1a0e29fb, "sdhci_setup_host" },
	{ 0x84dfdd75, "__sdhci_add_host" },
	{ 0x12c4bc00, "sdhci_cleanup_host" },
	{ 0x58444440, "sdhci_free_host" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xce35ef0, "mmc_gpiod_set_cd_config" },
	{ 0xfcda77c, "__pm_runtime_set_status" },
	{ 0xbebf27c3, "pm_runtime_set_autosuspend_delay" },
	{ 0xac15a6b3, "__pm_runtime_use_autosuspend" },
	{ 0x203d4768, "pm_runtime_enable" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xbc983d50, "platform_driver_unregister" },
	{ 0xc20843fe, "sdhci_execute_tuning" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x6a4dd0e0, "sdhci_runtime_suspend_host" },
	{ 0xc33ba96e, "sdhci_suspend_host" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x21e1ba75, "sdhci_start_signal_voltage_switch" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e92c5f5, "sdhci_reset" },
	{ 0x6c29daaf, "sdhci_remove_host" },
	{ 0x8e4faf81, "__pm_runtime_resume" },
	{ 0xe207426f, "__pm_runtime_disable" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe0931714, "sdhci_set_ios" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6467818a, "sdhci_set_clock" },
	{ 0x5fba2002, "sdhci_set_bus_width" },
	{ 0x902ab6b3, "sdhci_set_uhs_signaling" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");

MODULE_ALIAS("acpi*:80865ACA:*");
MODULE_ALIAS("acpi*:80865ACC:*");
MODULE_ALIAS("acpi*:80865AD0:*");
MODULE_ALIAS("acpi*:80860F14:*");
MODULE_ALIAS("acpi*:80860F16:*");
MODULE_ALIAS("acpi*:INT33BB:*");
MODULE_ALIAS("acpi*:INT33C6:*");
MODULE_ALIAS("acpi*:INT3436:*");
MODULE_ALIAS("acpi*:INT344D:*");
MODULE_ALIAS("acpi*:PNP0D40:*");
MODULE_ALIAS("acpi*:QCOM8051:*");
MODULE_ALIAS("acpi*:QCOM8052:*");
MODULE_ALIAS("acpi*:AMDI0040:*");
MODULE_ALIAS("acpi*:AMDI0041:*");

MODULE_INFO(srcversion, "34FBF575E501258A382941B");
