#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xc49b755f, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x8bfb86ee, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x95ddd729, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xe16b19fe, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x11801fab, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x97bccd3e, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0xaec6c071, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xda6bc816, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x4b8cb5ff, "_gpl");
SYMBOL_CRC(can_bus_off, 0x112cf971, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xa357b49e, "_gpl");
SYMBOL_CRC(free_candev, 0x7f63febb, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xcf4ec3e7, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xa1a340c6, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xa8fbba53, "");
SYMBOL_CRC(open_candev, 0x9fed2107, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xaf31d68d, "_gpl");
SYMBOL_CRC(close_candev, 0xfaaa76ce, "_gpl");
SYMBOL_CRC(register_candev, 0x6ba7ec09, "_gpl");
SYMBOL_CRC(unregister_candev, 0x7bdf7635, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x69d93682, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xd2d858ac, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xe5c4662f, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0xfca23d6f, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x25547214, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x69d6248d, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x8d053856, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0x682f8a94, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xb1f110bd, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x97428809, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x9b0ac01d, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x7c23d983, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x262156ae, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x1ff04d93, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0xcddac5d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2e88cb62, "of_node_put" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x9931b6df, "gpiod_set_value" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0x2ae43a2c, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0xa826f89, "skb_dequeue" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7c4ffa58, "rtnl_link_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2de450c1, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x63a46171, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0xff58c29e, "netdev_err" },
	{ 0x5d1b94e8, "skb_queue_purge_reason" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x12dc25bf, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x9510395f, "device_property_read_u32_array" },
	{ 0xd43babfb, "of_get_child_by_name" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x8ef703a5, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0xbc05d64f, "netif_receive_skb" },
	{ 0x12e5e082, "nla_put" },
	{ 0xf3719da4, "register_netdev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x760d5055, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x3c54476b, "netif_rx" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd2b84c1d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3402c51d, "dev_err_probe" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xbeff7a0e, "skb_clone_tx_timestamp" },
	{ 0xf967d677, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EE3FC1C5422DCE263BBBAA6");
