#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nic_netdev_match_check, "", "");
KSYMTAB_FUNC(nic_chip_recover_handler, "", "");
KSYMTAB_FUNC(nic_set_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_get_pfc_storm_para, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_param, "", "");
KSYMTAB_FUNC(nic_set_notify_pkt_start, "", "");
KSYMTAB_FUNC(nic_set_torus_param, "", "");
KSYMTAB_FUNC(nic_get_torus_param, "", "");
KSYMTAB_FUNC(nic_clean_stats64, "", "");
KSYMTAB_FUNC(nic_set_cpu_affinity, "", "");
KSYMTAB_FUNC(nic_get_chipid, "", "");
KSYMTAB_FUNC(nic_get_mac_id, "", "");
KSYMTAB_FUNC(nic_get_io_die_id, "", "");
KSYMTAB_FUNC(nic_get_chip_num, "", "");
KSYMTAB_FUNC(nic_get_io_die_num, "", "");
KSYMTAB_FUNC(nic_get_port_num_of_die, "", "");
KSYMTAB_FUNC(nic_get_port_num_per_chip, "", "");
KSYMTAB_FUNC(nic_set_tx_timeout, "", "");
KSYMTAB_FUNC(nic_get_sfp_present, "", "");
KSYMTAB_FUNC(nic_set_sfp_state, "", "");
KSYMTAB_FUNC(nic_disable_net_lane, "", "");
KSYMTAB_FUNC(nic_get_net_lane_status, "", "");
KSYMTAB_FUNC(nic_disable_clock, "", "");
KSYMTAB_FUNC(nic_set_pfc_time_cfg, "", "");
KSYMTAB_FUNC(nic_get_port_fault_status, "", "");
KSYMTAB_FUNC(nic_get_port_wire_type, "", "");
KSYMTAB_FUNC(nic_set_mac_state, "", "");
KSYMTAB_FUNC(nic_set_led, "", "");
KSYMTAB_FUNC(nic_get_led_signal, "", "");
KSYMTAB_FUNC(nic_get_phy_reg, "", "");
KSYMTAB_FUNC(nic_set_phy_reg, "", "");

SYMBOL_CRC(nic_netdev_match_check, 0x2d30e073, "");
SYMBOL_CRC(nic_chip_recover_handler, 0x78cfd96f, "");
SYMBOL_CRC(nic_set_pfc_storm_para, 0x178f4019, "");
SYMBOL_CRC(nic_get_pfc_storm_para, 0x813f3bd6, "");
SYMBOL_CRC(nic_set_notify_pkt_param, 0x86c63c5b, "");
SYMBOL_CRC(nic_set_notify_pkt_start, 0xf8345f88, "");
SYMBOL_CRC(nic_set_torus_param, 0xc0e6c397, "");
SYMBOL_CRC(nic_get_torus_param, 0x7ede42f7, "");
SYMBOL_CRC(nic_clean_stats64, 0x1c8672ab, "");
SYMBOL_CRC(nic_set_cpu_affinity, 0xdf738a87, "");
SYMBOL_CRC(nic_get_chipid, 0xe4d67b2b, "");
SYMBOL_CRC(nic_get_mac_id, 0x6a9dfea0, "");
SYMBOL_CRC(nic_get_io_die_id, 0x1bcecc95, "");
SYMBOL_CRC(nic_get_chip_num, 0xf8656230, "");
SYMBOL_CRC(nic_get_io_die_num, 0x35935b67, "");
SYMBOL_CRC(nic_get_port_num_of_die, 0x75f01bb5, "");
SYMBOL_CRC(nic_get_port_num_per_chip, 0x1b83ece2, "");
SYMBOL_CRC(nic_set_tx_timeout, 0x107cdd5f, "");
SYMBOL_CRC(nic_get_sfp_present, 0x241b2876, "");
SYMBOL_CRC(nic_set_sfp_state, 0xfe62c314, "");
SYMBOL_CRC(nic_disable_net_lane, 0xb3b57766, "");
SYMBOL_CRC(nic_get_net_lane_status, 0xb0cb6e69, "");
SYMBOL_CRC(nic_disable_clock, 0xe6f6d7c0, "");
SYMBOL_CRC(nic_set_pfc_time_cfg, 0xeda896f1, "");
SYMBOL_CRC(nic_get_port_fault_status, 0x68f6ad47, "");
SYMBOL_CRC(nic_get_port_wire_type, 0x0f1f70c9, "");
SYMBOL_CRC(nic_set_mac_state, 0xccdabd24, "");
SYMBOL_CRC(nic_set_led, 0xe6d74843, "");
SYMBOL_CRC(nic_get_led_signal, 0x40495cd3, "");
SYMBOL_CRC(nic_get_phy_reg, 0x202d96db, "");
SYMBOL_CRC(nic_set_phy_reg, 0xb62f9592, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x737c9f4e, "genphy_restart_aneg" },
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2297849e, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2b06ac24, "page_pool_get_stats" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc0cb7eec, "page_pool_alloc_frag" },
	{ 0xc0790442, "__napi_alloc_skb" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x504c1259, "pci_vfs_assigned" },
	{ 0x967b20af, "dump_page" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf7370f56, "system_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0xa146bc0f, "pci_num_vf" },
	{ 0x86823630, "skb_add_rx_frag" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x228cfcc8, "page_pool_destroy" },
	{ 0x7d8a4208, "__put_devmap_managed_page_refs" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x2de450c1, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa005f6ca, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0xff58c29e, "netdev_err" },
	{ 0xa64ce91, "pskb_expand_head" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x9b6b60ee, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd302f198, "ipv6_skip_exthdr" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xee02dc76, "_dev_info" },
	{ 0xbce1a592, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x1fee9204, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1f312750, "eth_get_headlen" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc060c3f4, "page_pool_ethtool_stats_get" },
	{ 0x54af2223, "flow_block_cb_setup_simple" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0x410ad177, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xd183e1a2, "softnet_data" },
	{ 0x84c1e48b, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x99f9638f, "__napi_alloc_frag_align" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0x1f087535, "hnae3_register_client" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0xf3719da4, "register_netdev" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2fab76b5, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xcd67feb1, "netif_tx_stop_all_queues" },
	{ 0x217eeef9, "bpf_trace_run1" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0xf242171a, "hnae3_register_ae_dev" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb0a89dfa, "page_pool_create" },
	{ 0xb0361af3, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x64d72e28, "netif_schedule_queue" },
	{ 0xc218724b, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa9e0f640, "netdev_set_tc_queue" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd7a873b, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0xf3fb407f, "netdev_reset_tc" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9a97bf67, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xcfcce66b, "__hw_addr_sync_dev" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x48557a, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x53ff935c, "phy_ethtool_ksettings_get" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7c803111, "phy_ethtool_ksettings_set" },
	{ 0x6ceb4049, "napi_gro_flush" },
	{ 0x9193e010, "__skb_flow_dissect" },
	{ 0x7e725bae, "dma_unmap_sg_attrs" },
	{ 0x201fc7e7, "hnae3_unregister_client" },
	{ 0x79efed70, "__napi_schedule_irqoff" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0xb3351180, "napi_consume_skb" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0xcd55a5c8, "hnae3_unregister_ae_dev" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8d2ee9eb, "skb_to_sgvec" },
	{ 0xbeff7a0e, "skb_clone_tx_timestamp" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2497649b, "ethtool_op_get_ts_info" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf967d677, "netdev_info" },
	{ 0x28df3702, "dma_map_sg_attrs" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "hnae3");

MODULE_ALIAS("pci:v000019E5d0000A220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A223sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A224sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A225sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A226sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000A22Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D0EEF77844099CC0C87B892");
