#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xc0d85340, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xcb7df2ec, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xfaf893ff, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0xc3d20c01, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0xc936b9ae, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x94e8fedc, "");
SYMBOL_CRC(mlx5_cmd_check, 0xc46cc9fd, "");
SYMBOL_CRC(mlx5_cmd_do, 0xf9a47a23, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xf24424b1, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0xd683ec87, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xf31e644e, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xfbcb6a70, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x40a4fe6b, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x71f66078, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xc563281c, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x12e8a6f6, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x32dc786d, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x971bfdd9, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x6b9e59e9, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x361adb12, "");
SYMBOL_CRC(mlx5_eq_enable, 0x235309af, "");
SYMBOL_CRC(mlx5_eq_disable, 0x1f568512, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x9e70f1a7, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x3efe0326, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x25b41da8, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x0e0210a1, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x823868e1, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x72e8d2cf, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x0c56c63b, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0xa6613852, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x761843d5, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x5d258ccd, "");
SYMBOL_CRC(mlx5_put_uars_page, 0xc4d9254c, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xd46e7f03, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x1d2daad4, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x03a3e3fb, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xc7b20a56, "");
SYMBOL_CRC(mlx5_create_cq, 0xe1098734, "");
SYMBOL_CRC(mlx5_core_create_cq, 0xfeeab77b, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0xbf318e52, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x11562670, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xa31a7a49, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x9277121e, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x4beada93, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xcd2d050c, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xb96e2ccf, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x916132cf, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x2460a682, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x8d56f19b, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xe81f29c0, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0xe9caa297, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x449e306d, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x57aca135, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xd4f22aaf, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x4aa0e0d2, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x6014bdf2, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xaa488062, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x59ea7f66, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xe49a975a, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xe2790ea1, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xdcd2c1b2, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x951050fb, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x5c27a1ad, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xc6bb4bbd, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x3a0ce918, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xff3ee491, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x1f839fbb, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x403ef73b, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xab100c1d, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x5ae90a85, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x85a4498d, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x43af54c0, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x43ba41c4, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x9537a741, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x3a24a97e, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0xa3d9dcc5, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x0ab3edec, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x37879352, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x17bb63a0, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xa5551784, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x74d5d5a8, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x5d22d373, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x037f1036, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x48856887, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x9d696b42, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x081f02cd, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x5bd16105, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x068c732e, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xce042b6a, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x4b749a3e, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xdea1d051, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x968085f6, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x0de99e7f, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x486c4235, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xbcf2d2a0, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x4c37f31e, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x1123175b, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x72e80b21, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x9f7d3124, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x2b5d5993, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x373a76de, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x1ef3be14, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xc31725f1, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x18511ff6, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x7cf5f6d9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xbfb7c838, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x4cad07c4, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xbebc4ed3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x1125f781, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x65201dac, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x245b4a86, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xfd3a41dd, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xb4cbb9f0, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x42c1e1b1, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x9937248c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x2ccb375e, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xbee599ac, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x68200f8c, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x157bfae3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x39c7a5d3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x202ee14c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x5df50368, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x3b2510da, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xba0a4889, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xe50ccff8, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xc41b24aa, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0x415025b9, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x5f3a92c5, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x84bc775a, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xada160a6, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x1837c469, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x86950e76, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xd6998663, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xb2823b91, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x8f06a941, "");
SYMBOL_CRC(mlx5_create_flow_group, 0xc4ec7728, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x6f662879, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x1b032834, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xbe6dc365, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x37e415d5, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xc230b5ac, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x76261a54, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x7e83a5f0, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x64bea219, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x29215c74, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x83f5e0ac, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x574c7b31, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x41a777f4, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x47b16b98, "");
SYMBOL_CRC(mlx5_msix_free, 0x2ec5500c, "");
SYMBOL_CRC(mlx5_fc_create, 0xd24e0287, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x1c9072f8, "");
SYMBOL_CRC(mlx5_fc_query, 0xed0a67b3, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xf020c115, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xd8e8fbd0, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x1b42c1b6, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x19a4dff9, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xd201e8ac, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x6dd90611, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x25e04305, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0xade274a6, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x612cfa9b, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x807a1e05, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x5234df0a, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x6d198800, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x6d9c58dc, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x4166bd28, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x96fd921e, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xbd1794d5, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xab667a6c, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xceafaaf4, "");
SYMBOL_CRC(mlx5_notifier_register, 0x5c110c57, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0xe295b8bf, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x9ca9c993, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xa60d5c72, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x62b223b0, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xafbb8171, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xcd8db8ff, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x44ac05fd, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x3f01d9fc, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0x1add289e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x7f2d2f80, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xe6479d42, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xb541e916, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x45867bb6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0xbb86e0de, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x0cdfd23c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xe6f33234, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x2120285a, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x0b6cfeeb, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xc56fa4bf, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xb283b221, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x3f86c8fe, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xb3abcd13, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xde953bf4, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x366bd0e6, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x738fe0f1, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x05d5c59a, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x96d811c3, "");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x28b5d950, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x5a17ba4c, "__inet_lookup_established" },
	{ 0x93bb2153, "xsk_tx_completed" },
	{ 0x8c059ffa, "alloc_etherdev_mqs" },
	{ 0x846eb659, "secpath_set" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0x108e5b8f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe9f61a36, "xp_alloc" },
	{ 0xff43c53, "pcie_capability_read_word" },
	{ 0xde7433c6, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9c70a0f7, "bpf_prog_put" },
	{ 0x2b06ac24, "page_pool_get_stats" },
	{ 0x92e683f5, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1ff6a3a3, "pci_cfg_access_unlock" },
	{ 0xa43982d, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xcd9945a2, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0x5847fa38, "dma_pool_create" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xda108672, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1844fd2e, "pci_enable_device" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xc0790442, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe848b83, "auxiliary_device_init" },
	{ 0x5d7fd88d, "netdev_update_features" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xd8ba174e, "pci_alloc_irq_vectors" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x1cf3a371, "pci_enable_atomic_ops_to_root" },
	{ 0xc4016af0, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x893abbdd, "devlink_fmsg_u32_pair_put" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0xe753b68d, "devlink_fmsg_arr_pair_nest_end" },
	{ 0x88cec28e, "xsk_clear_tx_need_wakeup" },
	{ 0xd8e53403, "udp4_hwcsum" },
	{ 0xe9b1eb78, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x9b44af79, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa99bfd1, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x47089624, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x83f94cc9, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0x481942fe, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa146bc0f, "pci_num_vf" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x86823630, "skb_add_rx_frag" },
	{ 0x50eeaee, "xfrm_state_check_expire" },
	{ 0x95342b5b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc1403190, "ptp_clock_index" },
	{ 0x3847cf00, "pci_request_regions" },
	{ 0xcd248fbe, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcb819c5, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x78e65898, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8083fe07, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdfecfd0c, "devlink_register" },
	{ 0xd6c48ffb, "devlink_remote_reload_actions_performed" },
	{ 0x663bb448, "devlink_fmsg_obj_nest_end" },
	{ 0x32e1e296, "seq_lseek" },
	{ 0x228cfcc8, "page_pool_destroy" },
	{ 0x3fcb6f0f, "xdp_do_redirect" },
	{ 0x85672298, "devlink_free" },
	{ 0x653f8243, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x2de450c1, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xaf5c9911, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x63f8a647, "pci_irq_vector" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x15510a89, "devlink_fmsg_binary_put" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0xc0964ed4, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe3460bb7, "sock_gen_put" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xff58c29e, "netdev_err" },
	{ 0xd41884b8, "pci_cfg_access_lock" },
	{ 0xb2c63616, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xe3be6ede, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x9f00b04, "ptp_find_pin" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x7f1be49c, "pci_read_config_dword" },
	{ 0x6fa5eece, "request_firmware_direct" },
	{ 0x8d679dac, "auxiliary_driver_unregister" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x19ba0281, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x415aa1bd, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x55c1f30f, "pcie_relaxed_ordering_enabled" },
	{ 0xefbd0683, "xsk_set_rx_need_wakeup" },
	{ 0x3b4b0137, "kmalloc_node_trace" },
	{ 0x88983d5d, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xe651881f, "__free_pages" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0xee02dc76, "_dev_info" },
	{ 0xbce1a592, "napi_gro_receive" },
	{ 0x6d999229, "netif_device_attach" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x1fee9204, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x74e6feef, "xp_raw_get_dma" },
	{ 0x1f312750, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x49962e5f, "xdp_rxq_info_is_reg" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfa5c6420, "work_busy" },
	{ 0x93edf7a8, "devlink_net" },
	{ 0xa99ef899, "devlink_fmsg_bool_pair_put" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0x74cc25fe, "devl_health_reporter_create" },
	{ 0x54af2223, "flow_block_cb_setup_simple" },
	{ 0x2208e32e, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfbd58bf1, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x56a8ab6a, "pci_iov_vf_id" },
	{ 0xbb6a3cbd, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x7fb3de91, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xf7bc95b0, "devlink_fmsg_pair_nest_start" },
	{ 0xc6328086, "__irq_apply_affinity_hint" },
	{ 0xa7d089b6, "devlink_port_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0x361a3d40, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0xd183e1a2, "softnet_data" },
	{ 0x84c1e48b, "simple_open" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x244e7f2e, "bus_find_device" },
	{ 0x99300390, "cpu_bit_bitmap" },
	{ 0x18434ba, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc3a9e8d5, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x7743e195, "xp_dma_sync_for_cpu_slow" },
	{ 0x7de5fd10, "xsk_tx_peek_desc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x688e11c4, "hwmon_device_register_with_info" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xa69d2d35, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0xcfc5108a, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf8eb73d4, "__auxiliary_device_add" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6b2a9019, "irq_get_irq_data" },
	{ 0x69fabd4b, "dev_remove_pack" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x30c2d2f9, "dev_get_by_index" },
	{ 0x11a92a1f, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x590d6266, "skb_store_bits" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x16da1f88, "devlink_fmsg_u32_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd8136061, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa62c25dd, "xsk_clear_rx_need_wakeup" },
	{ 0xbe4f8f15, "unregister_netdevice_notifier_net" },
	{ 0x79983c07, "xsk_uses_need_wakeup" },
	{ 0xf3719da4, "register_netdev" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xa423c023, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0x98786e9f, "debugfs_create_size_t" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x5987f536, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0x2fab76b5, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5358864e, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x217eeef9, "bpf_trace_run1" },
	{ 0x16d3e079, "__inet6_lookup_established" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65d23d9a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xcc98209d, "dma_sync_single_for_cpu" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb0a89dfa, "page_pool_create" },
	{ 0x8abcb7c, "skb_checksum" },
	{ 0xb0361af3, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x2a8f1376, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x11df0e75, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x61e5ee5, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa920d559, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x64d72e28, "netif_schedule_queue" },
	{ 0xc218724b, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb307c909, "devlink_fmsg_u64_pair_put" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x85c7b4c7, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xa15f3322, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa9e0f640, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0xb96c7ff8, "devl_params_unregister" },
	{ 0x84becd76, "ptp_clock_unregister" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x579e80db, "xp_dma_unmap" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x84b2be71, "devlink_trap_report" },
	{ 0xf7feffed, "__neigh_event_send" },
	{ 0x86585a33, "devlink_fmsg_obj_nest_start" },
	{ 0xd3256e85, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd302484c, "devl_traps_register" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6bf72b50, "devl_unlock" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x13f80236, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x1f45ca06, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x5565e62b, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x27a05912, "rps_may_expire_flow" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xc15fe1d0, "xsk_set_tx_need_wakeup" },
	{ 0x4fd844ea, "__dev_queue_xmit" },
	{ 0xf3fb407f, "netdev_reset_tc" },
	{ 0x8391a10b, "neigh_destroy" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x49346d64, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b0f653a, "current_work" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xcf391a63, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb703cc7d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x66a1c4f5, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xe680e263, "devl_assert_locked" },
	{ 0x172a4d4f, "pcie_print_link_status" },
	{ 0xe4079946, "xp_set_rxq_info" },
	{ 0x435f2f35, "alloc_pages" },
	{ 0x71f7f1b6, "xdp_rxq_info_unreg" },
	{ 0x1229ee70, "page_pool_alloc_pages" },
	{ 0x21cfcde7, "devl_param_driverinit_value_get" },
	{ 0xb52105d7, "napi_build_skb" },
	{ 0xe0d5b6c4, "netdev_master_upper_dev_get_rcu" },
	{ 0x74ed31c1, "__xdp_rxq_info_reg" },
	{ 0xb71204e1, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x639a1ea4, "bpf_prog_inc" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x6781e5b, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x47dc846d, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2979d913, "devlink_port_register_with_ops" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x48557a, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x696c801d, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xcd2fb60f, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xf9285a32, "xp_free" },
	{ 0x27d3f4bb, "page_pool_update_nid" },
	{ 0x2a56607b, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x234cf416, "devlink_fmsg_string_pair_put" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0x73677c0a, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1e2bdfd8, "netif_set_tso_max_size" },
	{ 0x9193e010, "__skb_flow_dissect" },
	{ 0xb3f4eeaa, "pci_msix_alloc_irq_at" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x3ea8d8c7, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc79514e1, "xp_raw_get_data" },
	{ 0x76e77c61, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0x2ab2f345, "qdisc_reset" },
	{ 0xb3351180, "napi_consume_skb" },
	{ 0xb10d964d, "devlink_fmsg_pair_nest_end" },
	{ 0x5fd208a8, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x8a2b6ec5, "dcb_ieee_delapp" },
	{ 0xcf447a4a, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb58c583, "debugfs_create_u8" },
	{ 0x20795718, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xbb0b6b51, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb8dad153, "pcie_bandwidth_available" },
	{ 0xddfa0e00, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa8424e9b, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x22d9aee, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x54486069, "xsk_tx_release" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x7f475455, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x40954c4c, "pci_iov_get_pf_drvdata" },
	{ 0xf6117cbd, "pci_write_config_dword" },
	{ 0x922679f3, "pci_bus_type" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xf967d677, "netdev_info" },
	{ 0x10802047, "neigh_lookup" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "tls,pci-hyperv-intf,mlxfw");

MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001025sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "B638A3B53C75A2FD35EA255");
