#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x2e37e1f6, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xbc3e2fa4, "");
SYMBOL_CRC(team_options_register, 0xb4f7f0b0, "");
SYMBOL_CRC(team_options_unregister, 0xb5134a25, "");
SYMBOL_CRC(team_option_inst_set_change, 0x85f4866d, "");
SYMBOL_CRC(team_options_change_check, 0x8e3dc3d5, "");
SYMBOL_CRC(team_mode_register, 0x732cab93, "");
SYMBOL_CRC(team_mode_unregister, 0x75ec334b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7aac7bd8, "dev_set_mac_address" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x22dbbae1, "netlink_unicast" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8213dbbc, "dev_set_promiscuity" },
	{ 0x189a9adf, "dev_set_allmulti" },
	{ 0x77d491e2, "dev_uc_unsync" },
	{ 0x4a3a14c5, "dev_mc_unsync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f691b12, "dev_set_mtu" },
	{ 0xff58c29e, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x367c2922, "__dynamic_netdev_dbg" },
	{ 0x13cb4353, "dev_kfree_skb_any_reason" },
	{ 0x3190cffd, "dev_uc_sync_multiple" },
	{ 0xe0521446, "dev_mc_sync_multiple" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xded33994, "vlan_vid_del" },
	{ 0x8869769d, "vlan_vid_add" },
	{ 0xd3a61f58, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0x9e009d51, "genlmsg_put" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0xadc58087, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9f95b374, "ether_setup" },
	{ 0xdd64e639, "strscpy" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7c4ffa58, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x35c912c, "genl_register_family" },
	{ 0x8ef703a5, "rtnl_link_unregister" },
	{ 0x30035d8b, "genl_unregister_family" },
	{ 0x4fd844ea, "__dev_queue_xmit" },
	{ 0x6ee7812b, "netpoll_send_skb" },
	{ 0xec1e36e6, "netlink_broadcast" },
	{ 0x12e5e082, "nla_put" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xd01225b7, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x98c2de3f, "__netpoll_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xdd253a77, "netdev_lower_state_changed" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb4e8902a, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x11089ac7, "_ctype" },
	{ 0x965bbd98, "__nlmsg_put" },
	{ 0x2de450c1, "netdev_warn" },
	{ 0x9ea07f3e, "__ethtool_get_link_ksettings" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0xf967d677, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5c1f1b13, "netdev_has_upper_dev" },
	{ 0x17b789e9, "dev_uc_flush" },
	{ 0x43946c05, "dev_mc_flush" },
	{ 0x1b5db19e, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xaafd9d20, "dev_open" },
	{ 0xe1f61a3, "vlan_vids_add_by_dev" },
	{ 0x9b7e3c63, "netdev_rx_handler_register" },
	{ 0x8f35b4d4, "netdev_master_upper_dev_link" },
	{ 0xa22c3719, "vlan_vids_del_by_dev" },
	{ 0xfd54b1ac, "dev_close" },
	{ 0xb12582ca, "dev_disable_lro" },
	{ 0x82cf43e1, "netdev_rx_handler_unregister" },
	{ 0xd96b51b7, "netdev_upper_dev_unlink" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd1e63998, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x30c2d2f9, "dev_get_by_index" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd2b84c1d, "skb_clone" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xd67a9eb0, "passthru_features_check" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");
