#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x3e48e5dd, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0xb8033cb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf1c0c92a, "fasync_helper" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xaab6287a, "__f_setown" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf967d677, "netdev_info" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xbc05d64f, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb6b8868, "netif_carrier_on" },
	{ 0x6047a130, "netif_carrier_off" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x12e5e082, "nla_put" },
	{ 0xfb236236, "from_kgid_munged" },
	{ 0xc5a0fb7, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xff2e1289, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1b03e9ee, "dev_get_tstats64" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcd67feb1, "netif_tx_stop_all_queues" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7c4ffa58, "rtnl_link_register" },
	{ 0x391de4f, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8ef703a5, "rtnl_link_unregister" },
	{ 0x16b8c5d, "misc_deregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x18434ba, "xdp_return_frame" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xca7c93cd, "kill_fasync" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9a97bf67, "__folio_put" },
	{ 0x7d8a4208, "__put_devmap_managed_page_refs" },
	{ 0x967b20af, "dump_page" },
	{ 0xbce1a592, "napi_gro_receive" },
	{ 0xb0e0fb07, "napi_complete_done" },
	{ 0xc0af3cab, "build_skb" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x5d85a3e5, "skb_set_owner_w" },
	{ 0x9c70a0f7, "bpf_prog_put" },
	{ 0x7e36d7c5, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x91e78aae, "sock_init_data_uid" },
	{ 0x3ecc5a, "sk_free" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5d1b94e8, "skb_queue_purge_reason" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x182516f9, "napi_get_frags" },
	{ 0x1680d9db, "iov_iter_single_seg_count" },
	{ 0xa64ce91, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xf3214e41, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x71f7f1b6, "xdp_rxq_info_unreg" },
	{ 0x94911d26, "__netif_napi_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3a61f58, "module_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x6a138086, "netif_set_real_num_tx_queues" },
	{ 0x8f44c5ce, "netif_set_real_num_rx_queues" },
	{ 0x17770a68, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7114130f, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8fca6c3e, "bpf_prog_get_type_dev" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbe57e5ae, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x9193e010, "__skb_flow_dissect" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x49962e5f, "xdp_rxq_info_is_reg" },
	{ 0x74ed31c1, "__xdp_rxq_info_reg" },
	{ 0xe3be6ede, "xdp_rxq_info_reg_mem_model" },
	{ 0x39d269e2, "netif_napi_add_weight" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0x5bcda42a, "lock_sock_nested" },
	{ 0x8a4b7263, "sk_attach_filter" },
	{ 0x230aa8ea, "release_sock" },
	{ 0xdbdb511d, "__dev_get_by_name" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x12dc25bf, "alloc_netdev_mqs" },
	{ 0x836a63e9, "ip_tunnel_header_ops" },
	{ 0xadc58087, "register_netdevice" },
	{ 0x9a5ffb36, "netif_tx_wake_queue" },
	{ 0x9f95b374, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2e4d4a90, "dev_addr_mod" },
	{ 0xa48d4f20, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xd484f438, "netdev_core_stats_alloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xd9644242, "skb_copy_datagram_iter" },
	{ 0xef6ac488, "_copy_to_iter" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb13351a5, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xff58c29e, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2f286c37, "consume_skb" },
	{ 0xb6bdb5af, "sock_recv_errqueue" },
	{ 0xc1a1eda4, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xbeff7a0e, "skb_clone_tx_timestamp" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xfdf360c7, "skb_tx_error" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x8b393ccc, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x6ac4790d, "skb_copy_ubufs" },
	{ 0x3e4e455a, "__skb_get_hash_symmetric" },
	{ 0xcd248fbe, "___pskb_trim" },
	{ 0x3fcb6f0f, "xdp_do_redirect" },
	{ 0x9b44af79, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xa69d2d35, "__traceiter_xdp_exception" },
	{ 0xe89a72d6, "xdp_return_frame_rx_napi" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x47089624, "xdp_convert_zc_to_xdp_frame" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xdd7a873b, "__page_frag_cache_drain" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x3ea8d8c7, "xdp_master_redirect" },
	{ 0x88034a75, "do_xdp_generic" },
	{ 0x74bcec2d, "skb_page_frag_refill" },
	{ 0x9baac079, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0x33194fbf, "iov_iter_npages" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4d4b0747, "skb_copy_datagram_from_iter" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0x2aa24c28, "sock_alloc_send_pskb" },
	{ 0x9b44d702, "zerocopy_sg_from_iter" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0x1f312750, "eth_get_headlen" },
	{ 0xed6222bf, "napi_gro_frags" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9902bac6, "dev_get_mac_address" },
	{ 0x9e0bc7bc, "get_net_ns" },
	{ 0x43059dc, "open_related_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc20c3cae, "sk_detach_filter" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x5d7fd88d, "netdev_update_features" },
	{ 0x618f2198, "make_kgid" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0xc539cc0b, "from_kuid" },
	{ 0x422c5a99, "dev_set_mac_address_user" },
	{ 0xb4e8902a, "call_netdevice_notifiers" },
	{ 0x759909f3, "from_kgid" },
	{ 0xde42e56d, "__module_get" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x4496cdc8, "ethtool_op_get_link" },
	{ 0x2497649b, "ethtool_op_get_ts_info" },
	{ 0xd67a9eb0, "passthru_features_check" },
	{ 0x19d3e536, "eth_mac_addr" },
	{ 0xaa573b83, "eth_validate_addr" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C1D5F3A8406F2B17615BCB9");
