#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0x90e60701, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x92ce7833, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0xb9a8702e, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x0c94b65c, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0xb85f0de5, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xe0fd705f, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0x74bd069c, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0xe79a80e7, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x9f22a998, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xc67ef1d6, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x89449a7d, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x99d7f5e9, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0xcf798e93, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0x42b0e1e8, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0xf0ac9c04, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x0c1b4eef, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0xb5f04f65, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0xde04f3f7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25e210b5, "ath9k_hw_set_txpowerlimit" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3a2ac7b9, "ath_hw_keyreset" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x87096186, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x84c1e48b, "simple_open" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x5171c8f8, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x4812213f, "ath9k_hw_gettsf64" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "CAF792D3354F30FC31E70C6");
