#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc1dbdbd, "mt76x02_dma_init" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbe2e1354, "devm_request_threaded_irq" },
	{ 0x53ae9443, "mt76x0_set_sar_specs" },
	{ 0x8d11e011, "pci_choose_state" },
	{ 0xfd41dece, "mt76x02_set_ethtool_fwver" },
	{ 0x2a61b7f4, "mt76x02_set_key" },
	{ 0x330d7709, "mt76x02_mcu_parse_response" },
	{ 0xb1ec7f45, "mt76_release_buffered_frames" },
	{ 0xcdbc0749, "request_firmware" },
	{ 0xb1173f7c, "mt76_get_txpower" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0xde48a1c5, "mt76x02_dma_disable" },
	{ 0xe0ce9f5f, "mt76_wake_tx_queue" },
	{ 0x286a7499, "mt76x02e_init_beacon_config" },
	{ 0xdc60e79a, "mt76_get_antenna" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa005f6ca, "pci_set_power_state" },
	{ 0x159df828, "mt76x02_sta_ps" },
	{ 0xda9eb864, "mt76x02_sta_rate_tbl_update" },
	{ 0xccfbca55, "kthread_park" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x19bfe9a0, "mt76_dma_cleanup" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0xfdbf0e93, "mt76x02_reconfig_complete" },
	{ 0x6f9473b0, "mt76_alloc_device" },
	{ 0x5057a64b, "wake_up_process" },
	{ 0xc0d841f, "mt76x02_set_coverage_class" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe547948d, "mt76x02_update_channel" },
	{ 0x82106ba2, "__napi_schedule" },
	{ 0x6df0c667, "mt76_pci_disable_aspm" },
	{ 0xee02dc76, "_dev_info" },
	{ 0x1d53deed, "mt76x02_configure_filter" },
	{ 0xd307e44c, "mt76_free_device" },
	{ 0x238e3e17, "mt76x0_chip_onoff" },
	{ 0x931fee59, "mt76x02_queue_rx_skb" },
	{ 0x178a6a65, "kthread_unpark" },
	{ 0x1abd2ce7, "pcim_iomap_regions" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa549cd8e, "ieee80211_queue_delayed_work" },
	{ 0x17fedc, "mt76x0_config" },
	{ 0xe2243d9a, "mt76x0_register_device" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xf966a549, "mt76x02_rx_poll_complete" },
	{ 0x223ce2dc, "mt76x0_phy_calibrate" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x71baac44, "mt76_set_tim" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x44754586, "mt76x02_sw_scan_complete" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x7a074eb6, "napi_enable" },
	{ 0x929e88a1, "mt76x02_tx" },
	{ 0x9e80d491, "mt76_mmio_init" },
	{ 0x8fee66a3, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe2cbc195, "mt76x02_sta_add" },
	{ 0xbb43ecb9, "mt76_unregister_device" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x60a3c358, "mt76x0_mac_stop" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xc94aad1, "mt76_get_survey" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xac328b10, "pci_set_master" },
	{ 0x2c80152e, "mt76x02_set_rts_threshold" },
	{ 0x42db42f, "mt76x02_tx_complete_skb" },
	{ 0xcc6114be, "mt76_sta_state" },
	{ 0xa645d829, "mt76x02_mcu_msg_send" },
	{ 0xabe076d8, "mt76x0_init_hardware" },
	{ 0xf41292b9, "mt76x02_bss_info_changed" },
	{ 0xe34f5c48, "pci_enable_wake" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf33b9222, "mt76x02_add_interface" },
	{ 0xeb46d5c8, "____mt76_poll_msec" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x28e76bcf, "mt76x02_tx_prepare_skb" },
	{ 0xe1823fd2, "mt76x02_mcu_cleanup" },
	{ 0xfbea569a, "mt76x02_ampdu_action" },
	{ 0x7ae8c749, "mt76x02_conf_tx" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0xd2e65c7d, "mt76_sw_scan" },
	{ 0xf23655e, "mt76_sta_pre_rcu_remove" },
	{ 0xbbe9a6d9, "pcim_iomap_table" },
	{ 0x8380ab24, "napi_schedule_prep" },
	{ 0xf3214e41, "napi_disable" },
	{ 0xcd3edb23, "__mt76_poll" },
	{ 0x9e37c5ff, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x287086a1, "mt76x02_mac_start" },
	{ 0x9f638e32, "mt76x02_remove_interface" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76x0-common,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "76E49B7EA7C933437988D41");
