#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fc_lport_notifier_head, "", "");
KSYMTAB_FUNC(fc_fill_hdr, "", "");
KSYMTAB_FUNC(fc_fill_reply_hdr, "", "");
KSYMTAB_FUNC(fc_lport_iterate, "", "");
KSYMTAB_FUNC(fc_fc4_register_provider, "", "");
KSYMTAB_FUNC(fc_fc4_deregister_provider, "", "");
KSYMTAB_FUNC(fc_disc_config, "", "");
KSYMTAB_FUNC(fc_disc_init, "", "");
KSYMTAB_DATA(fc_cpu_mask, "", "");
KSYMTAB_FUNC(fc_seq_send, "", "");
KSYMTAB_FUNC(fc_seq_start_next, "", "");
KSYMTAB_FUNC(fc_seq_set_resp, "", "");
KSYMTAB_FUNC(fc_exch_done, "", "");
KSYMTAB_FUNC(fc_seq_els_rsp_send, "_gpl", "");
KSYMTAB_FUNC(fc_seq_assign, "", "");
KSYMTAB_FUNC(fc_seq_release, "", "");
KSYMTAB_FUNC(fc_exch_mgr_reset, "", "");
KSYMTAB_FUNC(fc_exch_seq_send, "", "");
KSYMTAB_FUNC(fc_exch_update_stats, "", "");
KSYMTAB_FUNC(fc_exch_mgr_add, "", "");
KSYMTAB_FUNC(fc_exch_mgr_del, "", "");
KSYMTAB_FUNC(fc_exch_mgr_list_clone, "", "");
KSYMTAB_FUNC(fc_exch_mgr_alloc, "", "");
KSYMTAB_FUNC(fc_exch_mgr_free, "", "");
KSYMTAB_FUNC(fc_exch_recv, "", "");
KSYMTAB_FUNC(fc_exch_init, "", "");
KSYMTAB_FUNC(fc_elsct_send, "", "");
KSYMTAB_FUNC(fc_elsct_init, "", "");
KSYMTAB_FUNC(fc_frame_crc_check, "", "");
KSYMTAB_FUNC(_fc_frame_alloc, "", "");
KSYMTAB_FUNC(fc_frame_alloc_fill, "", "");
KSYMTAB_FUNC(fc_get_host_port_state, "", "");
KSYMTAB_FUNC(fc_get_host_speed, "", "");
KSYMTAB_FUNC(fc_get_host_stats, "", "");
KSYMTAB_FUNC(fc_fabric_login, "", "");
KSYMTAB_FUNC(fc_linkup, "", "");
KSYMTAB_FUNC(fc_linkdown, "", "");
KSYMTAB_FUNC(fc_fabric_logoff, "", "");
KSYMTAB_FUNC(fc_lport_destroy, "", "");
KSYMTAB_FUNC(fc_set_mfs, "", "");
KSYMTAB_FUNC(fc_lport_set_local_id, "", "");
KSYMTAB_FUNC(fc_lport_recv, "", "");
KSYMTAB_FUNC(fc_lport_reset, "", "");
KSYMTAB_FUNC(fc_lport_logo_resp, "", "");
KSYMTAB_FUNC(fc_lport_flogi_resp, "", "");
KSYMTAB_FUNC(fc_lport_config, "", "");
KSYMTAB_FUNC(fc_lport_init, "", "");
KSYMTAB_FUNC(fc_lport_bsg_request, "", "");
KSYMTAB_FUNC(fc_rport_lookup, "", "");
KSYMTAB_FUNC(fc_rport_create, "", "");
KSYMTAB_FUNC(fc_rport_destroy, "", "");
KSYMTAB_FUNC(fc_set_rport_loss_tmo, "", "");
KSYMTAB_FUNC(fc_rport_login, "", "");
KSYMTAB_FUNC(fc_rport_logoff, "", "");
KSYMTAB_FUNC(fc_rport_recv_req, "", "");
KSYMTAB_FUNC(fc_rport_flush_queue, "", "");
KSYMTAB_FUNC(fc_rport_terminate_io, "", "");
KSYMTAB_FUNC(fc_queuecommand, "", "");
KSYMTAB_FUNC(fc_eh_abort, "", "");
KSYMTAB_FUNC(fc_eh_device_reset, "", "");
KSYMTAB_FUNC(fc_eh_host_reset, "", "");
KSYMTAB_FUNC(fc_slave_alloc, "", "");
KSYMTAB_FUNC(fc_fcp_destroy, "", "");
KSYMTAB_FUNC(fc_fcp_init, "", "");
KSYMTAB_FUNC(libfc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_id_lookup, "", "");
KSYMTAB_FUNC(fc_vport_setlink, "", "");

SYMBOL_CRC(fc_lport_notifier_head, 0xe5cf06b5, "");
SYMBOL_CRC(fc_fill_hdr, 0xf0c4442c, "");
SYMBOL_CRC(fc_fill_reply_hdr, 0xcd0dcf89, "");
SYMBOL_CRC(fc_lport_iterate, 0xcd6eab8c, "");
SYMBOL_CRC(fc_fc4_register_provider, 0xffbc8e79, "");
SYMBOL_CRC(fc_fc4_deregister_provider, 0xedc41c23, "");
SYMBOL_CRC(fc_disc_config, 0x07c0aaec, "");
SYMBOL_CRC(fc_disc_init, 0x718d9cb3, "");
SYMBOL_CRC(fc_cpu_mask, 0xa1bcd198, "");
SYMBOL_CRC(fc_seq_send, 0x16122b9c, "");
SYMBOL_CRC(fc_seq_start_next, 0x7f3407a7, "");
SYMBOL_CRC(fc_seq_set_resp, 0x8b491467, "");
SYMBOL_CRC(fc_exch_done, 0x811811e0, "");
SYMBOL_CRC(fc_seq_els_rsp_send, 0x8da92896, "_gpl");
SYMBOL_CRC(fc_seq_assign, 0x0f2c801c, "");
SYMBOL_CRC(fc_seq_release, 0xfa4667d1, "");
SYMBOL_CRC(fc_exch_mgr_reset, 0x8cc70643, "");
SYMBOL_CRC(fc_exch_seq_send, 0x7f3000c0, "");
SYMBOL_CRC(fc_exch_update_stats, 0xc312b719, "");
SYMBOL_CRC(fc_exch_mgr_add, 0xbb8abbd9, "");
SYMBOL_CRC(fc_exch_mgr_del, 0x22b90986, "");
SYMBOL_CRC(fc_exch_mgr_list_clone, 0x5d88531f, "");
SYMBOL_CRC(fc_exch_mgr_alloc, 0xe2bb6d82, "");
SYMBOL_CRC(fc_exch_mgr_free, 0x6ff70992, "");
SYMBOL_CRC(fc_exch_recv, 0xb37f4809, "");
SYMBOL_CRC(fc_exch_init, 0xf252bad9, "");
SYMBOL_CRC(fc_elsct_send, 0x819e272f, "");
SYMBOL_CRC(fc_elsct_init, 0x2a702b8c, "");
SYMBOL_CRC(fc_frame_crc_check, 0xbc3a2b06, "");
SYMBOL_CRC(_fc_frame_alloc, 0x1c4c715b, "");
SYMBOL_CRC(fc_frame_alloc_fill, 0xc12ea880, "");
SYMBOL_CRC(fc_get_host_port_state, 0x32bae1ac, "");
SYMBOL_CRC(fc_get_host_speed, 0x53c46f35, "");
SYMBOL_CRC(fc_get_host_stats, 0x173bf91f, "");
SYMBOL_CRC(fc_fabric_login, 0xf6a8cbd6, "");
SYMBOL_CRC(fc_linkup, 0x5ef9ffe2, "");
SYMBOL_CRC(fc_linkdown, 0xea5ed130, "");
SYMBOL_CRC(fc_fabric_logoff, 0x5814f5bf, "");
SYMBOL_CRC(fc_lport_destroy, 0x700820cb, "");
SYMBOL_CRC(fc_set_mfs, 0x26ed5f8e, "");
SYMBOL_CRC(fc_lport_set_local_id, 0x01eaee80, "");
SYMBOL_CRC(fc_lport_recv, 0x582e2f0f, "");
SYMBOL_CRC(fc_lport_reset, 0x0225a2da, "");
SYMBOL_CRC(fc_lport_logo_resp, 0x03ba3fb9, "");
SYMBOL_CRC(fc_lport_flogi_resp, 0x77dee9cc, "");
SYMBOL_CRC(fc_lport_config, 0x7a2cd6f6, "");
SYMBOL_CRC(fc_lport_init, 0xf2227018, "");
SYMBOL_CRC(fc_lport_bsg_request, 0x14e64b0e, "");
SYMBOL_CRC(fc_rport_lookup, 0x4575d5f4, "");
SYMBOL_CRC(fc_rport_create, 0x56a7c541, "");
SYMBOL_CRC(fc_rport_destroy, 0x9d50ed7e, "");
SYMBOL_CRC(fc_set_rport_loss_tmo, 0x8bcc8f64, "");
SYMBOL_CRC(fc_rport_login, 0xc0d4428b, "");
SYMBOL_CRC(fc_rport_logoff, 0x4fc907ab, "");
SYMBOL_CRC(fc_rport_recv_req, 0xb57fe400, "");
SYMBOL_CRC(fc_rport_flush_queue, 0xb0ddd5a1, "");
SYMBOL_CRC(fc_rport_terminate_io, 0xc6fcb503, "");
SYMBOL_CRC(fc_queuecommand, 0x71efe69d, "");
SYMBOL_CRC(fc_eh_abort, 0xb8fdd011, "");
SYMBOL_CRC(fc_eh_device_reset, 0xc7854a21, "");
SYMBOL_CRC(fc_eh_host_reset, 0xfab296cc, "");
SYMBOL_CRC(fc_slave_alloc, 0x12c34fb6, "");
SYMBOL_CRC(fc_fcp_destroy, 0xfb6c70d1, "");
SYMBOL_CRC(fc_fcp_init, 0xd7fe38b9, "");
SYMBOL_CRC(libfc_vport_create, 0xeaee81bd, "");
SYMBOL_CRC(fc_vport_id_lookup, 0x9674c8cd, "");
SYMBOL_CRC(fc_vport_setlink, 0x404835c3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa680cde5, "bsg_job_done" },
	{ 0xd2295e05, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x967b20af, "dump_page" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xa1f2fcc6, "fc_block_scsi_eh" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xc582a75a, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0x85047724, "mempool_alloc" },
	{ 0xee366a16, "fc_host_post_event" },
	{ 0xd3a61f58, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x145477ca, "init_uts_ns" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x515d825d, "scsi_is_host_device" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2f2703c4, "scsi_is_fc_rport" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xbaa74b84, "scsi_done" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x5903eaa8, "_dev_printk" },
	{ 0x86eee345, "scsi_host_alloc" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x3a5a0d5, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc");


MODULE_INFO(srcversion, "2B2EA05FAE4948E029B8331");
