#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x7d32684b, "");
SYMBOL_CRC(qlt_stop_phase1, 0x99edf473, "");
SYMBOL_CRC(qlt_stop_phase2, 0x479e3931, "");
SYMBOL_CRC(qlt_free_mcmd, 0x7e5f2493, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0xa9ff15e5, "");
SYMBOL_CRC(qlt_xmit_response, 0x7208d27f, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xa59c0039, "");
SYMBOL_CRC(qlt_abort_cmd, 0x976a6b17, "");
SYMBOL_CRC(qlt_free_cmd, 0x598b6d9e, "");
SYMBOL_CRC(qlt_lport_register, 0x4c36d9d6, "");
SYMBOL_CRC(qlt_lport_deregister, 0x6dacd400, "");
SYMBOL_CRC(qlt_enable_vha, 0xf7ba50a4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x645dff88, "param_ops_ullong" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x25536dcf, "pci_save_state" },
	{ 0xcfe28e3f, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xff43c53, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf2d56f87, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4d81ce9b, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0xabd6dfbd, "debugfs_attr_write" },
	{ 0x3de92ef3, "param_ops_uint" },
	{ 0x5847fa38, "dma_pool_create" },
	{ 0x406bfbb1, "pci_request_selected_regions" },
	{ 0xcc628885, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1844fd2e, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0xa2c01ee9, "pci_enable_device_mem" },
	{ 0xa680cde5, "bsg_job_done" },
	{ 0x99ed891c, "btree_insert" },
	{ 0xd8ba174e, "pci_alloc_irq_vectors" },
	{ 0xd2295e05, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x9fbefd77, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ea5f6e9, "scsi_build_sense" },
	{ 0x969d2953, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0xcdbc0749, "request_firmware" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x68b1d949, "fc_remove_host" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa7acddaa, "__pci_register_driver" },
	{ 0x41b555c, "set_user_nice" },
	{ 0xe1ec1641, "dma_sync_single_for_device" },
	{ 0x236f7c12, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3847cf00, "pci_request_regions" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x19c5601c, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x32e1e296, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x29ecd742, "pci_clear_mwi" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x63ddef5, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc86e3ad4, "btree_remove" },
	{ 0x63f8a647, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0x8774788a, "pci_try_set_mwi" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xc716df62, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x9b5d7a44, "pci_unregister_driver" },
	{ 0x5057a64b, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc19c52e5, "dev_driver_string" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0x54ab2d7c, "trace_array_put" },
	{ 0x7f1be49c, "pci_read_config_dword" },
	{ 0x137fc5f9, "dma_map_page_attrs" },
	{ 0x35b54504, "irq_set_affinity_notifier" },
	{ 0x15d72ac8, "blk_mq_pci_map_queues" },
	{ 0xa1f2fcc6, "fc_block_scsi_eh" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc582a75a, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xac9bd23, "scsi_host_get" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x273c6573, "timer_shutdown" },
	{ 0xee366a16, "fc_host_post_event" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xee02dc76, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x301b464e, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf8703011, "fc_release_transport" },
	{ 0x3da2e5d8, "pci_set_mwi" },
	{ 0x56ff412f, "btree_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xfbd58bf1, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0x7b883d4f, "debugfs_attr_read" },
	{ 0x2bae50aa, "btree_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x862a6b91, "kobject_uevent_env" },
	{ 0xd846c950, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0x49cee902, "blk_queue_update_dma_alignment" },
	{ 0xb23019, "fc_vport_create" },
	{ 0xd5994ad, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x158c7991, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xc6102cce, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6b74909c, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0x4e07975, "dma_alloc_attrs" },
	{ 0xb7fbf19e, "scsi_scan_host" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x332d9740, "seq_putc" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xe5f3945f, "fc_vport_terminate" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18120977, "fc_block_rport" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x202fecb7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x54e78447, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x3cd00ea9, "pci_alloc_irq_vectors_affinity" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x515d825d, "scsi_is_host_device" },
	{ 0xac328b10, "pci_set_master" },
	{ 0xc35f7c4b, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbaeb11fd, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x45d06b36, "blk_mq_unique_tag" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23cd3047, "kthread_create_on_node" },
	{ 0xa27f5fc9, "dma_set_coherent_mask" },
	{ 0x1f45ca06, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x230f0bb5, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x59f26e8f, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7e8ddf86, "fc_host_fpin_rcv" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xdd18dfa2, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xcba52893, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3fae45d0, "btree_update" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6022d24b, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x713a2665, "__register_chrdev" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2e5c5646, "fc_eh_should_retry_cmd" },
	{ 0xa5b0410d, "pcie_capability_read_dword" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0x2f2703c4, "scsi_is_fc_rport" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0xbaa74b84, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3482687, "btree_get_prev" },
	{ 0x2a56607b, "single_release" },
	{ 0xabc06bd5, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8ad9e24, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x5282886c, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x29b58ab8, "pci_disable_rom" },
	{ 0x7e725bae, "dma_unmap_sg_attrs" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xb65dae8f, "pci_irq_get_affinity" },
	{ 0xe1085b8c, "scsi_block_requests" },
	{ 0x65668d89, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xb769ef5a, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x20795718, "single_open" },
	{ 0x86eee345, "scsi_host_alloc" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0x4fec3745, "pci_write_config_word" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x3bf11635, "sysfs_remove_bin_file" },
	{ 0xddfa0e00, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x850049f9, "nvme_fc_register_localport" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x3a5a0d5, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x18f29f77, "pcix_set_mmrbc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x28df3702, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A06F0D904DCA675DB1FD0C");
