#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x00e2111c, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x333230f1, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xdf6ac1e9, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0xfa15087d, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x0529b42d, "");
SYMBOL_CRC(sdw_show_ping_status, 0x7df48215, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x8447c00b, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x833a7014, "");
SYMBOL_CRC(sdw_write_no_pm, 0x577e78cb, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x670abbf8, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x45874a06, "");
SYMBOL_CRC(sdw_read_no_pm, 0x090e9187, "");
SYMBOL_CRC(sdw_update_no_pm, 0x04feb39a, "");
SYMBOL_CRC(sdw_update, 0xf6601d95, "");
SYMBOL_CRC(sdw_nread, 0x951b9154, "");
SYMBOL_CRC(sdw_nwrite, 0x2b9edc74, "");
SYMBOL_CRC(sdw_read, 0x0824ab6b, "");
SYMBOL_CRC(sdw_write, 0x676c54b0, "");
SYMBOL_CRC(sdw_compare_devid, 0xfa718ff8, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x6a1805df, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x113ce389, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x0fdb45af, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x3cbc6c4a, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x68244d9a, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x1fefa164, "");
SYMBOL_CRC(sdw_slave_add, 0xaa8686de, "");
SYMBOL_CRC(sdw_master_read_prop, 0x1a3ee863, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x1569f412, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xad039b8c, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xa7c0e472, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x21a3e47e, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x50167c0e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x280eb91e, "device_property_present" },
	{ 0xd32f1c, "devm_device_add_groups" },
	{ 0x4a79b62b, "is_acpi_device_node" },
	{ 0xf623b93e, "of_fwnode_ops" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfd20eb2b, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1d39d3e7, "device_unregister" },
	{ 0xbebf27c3, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xef28c7e3, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x32e1e296, "seq_lseek" },
	{ 0x5e8ffa94, "of_node_get" },
	{ 0x300d5430, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xdaea3ea3, "devm_device_add_group" },
	{ 0x1cb6b9a9, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0x3f85bf83, "of_get_property" },
	{ 0x4103d84a, "pm_generic_runtime_resume" },
	{ 0xfcda77c, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x76c1c111, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0x203d4768, "pm_runtime_enable" },
	{ 0x9510395f, "device_property_read_u32_array" },
	{ 0x1ac8710a, "fwnode_property_read_u32_array" },
	{ 0x8ab328f, "dev_pm_domain_detach" },
	{ 0xa2a2183d, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xb02e5fc2, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9a378f48, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8268b269, "device_register" },
	{ 0x78f8e647, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x88f5dd8f, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4ef94ac8, "devm_kasprintf" },
	{ 0x1f45ca06, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b656c06, "fwnode_property_present" },
	{ 0xe8c10507, "debugfs_create_file" },
	{ 0x8e4faf81, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xccc0e1b0, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0x277deccf, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x2a56607b, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5f5e8e24, "acpi_dev_for_each_child" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x11189a3f, "__pm_runtime_suspend" },
	{ 0xb87f4f39, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xac15a6b3, "__pm_runtime_use_autosuspend" },
	{ 0x20795718, "single_open" },
	{ 0xe207426f, "__pm_runtime_disable" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0xfc42b09f, "driver_register" },
	{ 0x289f2ba3, "__pm_runtime_idle" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x793d4f16, "bus_register" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
