#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xc03a0cc6, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x43c0b44a, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xea6c3e7a, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xcecf2371, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xed71a172, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xa111b845, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0xa6f0501b, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xd99ed771, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x4aef4ad2, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x1052ce92, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x989dbde5, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xaddaf458, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xa62a5f3d, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xe6ccda59, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x4b672953, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x0c1cde09, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xb9897df2, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xf946c7f4, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x4c2e080e, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25536dcf, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x84c930d2, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc9c42ab7, "pci_read_vpd" },
	{ 0x51afc3db, "bus_unregister_notifier" },
	{ 0x406bfbb1, "pci_request_selected_regions" },
	{ 0xcc628885, "pci_release_selected_regions" },
	{ 0xf30d1dce, "pci_user_write_config_byte" },
	{ 0x1844fd2e, "pci_enable_device" },
	{ 0xf27d9cbc, "pci_bus_max_busnr" },
	{ 0x400c9904, "pci_check_and_mask_intx" },
	{ 0x5bcf910a, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xd8ba174e, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x1cf3a371, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x56f07bfb, "pci_dev_put" },
	{ 0xa49af4cc, "iommu_group_get" },
	{ 0xa84c0980, "vfio_virqfd_disable" },
	{ 0x44285b84, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9ff3340f, "fget" },
	{ 0xa146bc0f, "pci_num_vf" },
	{ 0x4829a47e, "memcpy" },
	{ 0xbb0f4500, "pci_user_read_config_dword" },
	{ 0xc6973b0d, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x63d26997, "dump_mm" },
	{ 0xb10259c1, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa51923be, "pci_probe_reset_bus" },
	{ 0x1006b38d, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x4fda2509, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa005f6ca, "pci_set_power_state" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x63f8a647, "pci_irq_vector" },
	{ 0xb786bf75, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x90ed1498, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x7f1be49c, "pci_read_config_dword" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x55d1b9a1, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x82ba6482, "pci_user_write_config_word" },
	{ 0x99d4fac8, "bus_register_notifier" },
	{ 0xee02dc76, "_dev_info" },
	{ 0x69da3dae, "vfio_file_is_group" },
	{ 0x2208e32e, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x960a114c, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xd846c950, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x804fb169, "__pci_reset_function_locked" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x4efa7b5b, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xbc5df4b8, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa69c8e7a, "vfio_virqfd_enable" },
	{ 0x6cc89e94, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x40a4132e, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xa52e8cd7, "aperture_remove_conflicting_pci_devices" },
	{ 0xab55c9ac, "vfio_unregister_group_dev" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x2944890f, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x436d16ed, "pci_store_saved_state" },
	{ 0x13640660, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x936bfb02, "pci_iounmap" },
	{ 0x82498786, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x231e1104, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe61f3b28, "pcie_get_mps" },
	{ 0xd9377bd0, "pci_dev_trylock" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xfa8fbf32, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x98725224, "__mmap_lock_do_trace_start_locking" },
	{ 0x3bcbb18e, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x10881e45, "_dev_notice" },
	{ 0x3856c228, "pm_runtime_forbid" },
	{ 0xb9b4f882, "pm_runtime_allow" },
	{ 0xdc1a89c9, "pci_reset_bus" },
	{ 0x4815eb55, "mmput" },
	{ 0x8e4faf81, "__pm_runtime_resume" },
	{ 0xde74901b, "vfio_register_group_dev" },
	{ 0x62f0eec0, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8d2363cb, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9f707354, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0xcb155c43, "pci_get_class" },
	{ 0xf3b5ee, "pci_user_write_config_dword" },
	{ 0xa5b0410d, "pcie_capability_read_dword" },
	{ 0x301af639, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x677e7087, "pci_load_and_free_saved_state" },
	{ 0x7a55239f, "pci_disable_sriov" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x236f3f4e, "pci_disable_device" },
	{ 0xd75c8934, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1d6ab05a, "pci_check_and_unmask_intx" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd8ad9e24, "pcie_set_readrq" },
	{ 0x13c5039c, "pci_walk_bus" },
	{ 0xb3f4eeaa, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc3e48254, "pci_unmap_rom" },
	{ 0xb769ef5a, "pci_read_config_byte" },
	{ 0x1366fe77, "release_resource" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x92980f3e, "vga_set_legacy_decoding" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xeff1a952, "pci_dev_unlock" },
	{ 0x4fec3745, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xddfa0e00, "pci_free_irq_vectors" },
	{ 0x75744359, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x289f2ba3, "__pm_runtime_idle" },
	{ 0xc9530f73, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x922679f3, "pci_bus_type" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
