#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_on_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0xb090e1d6, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xa65bc7ed, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xf1943f48, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x44f70708, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x56c4349e, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0xf48b6e9c, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xdc3d2815, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x09e5c44f, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x6013e8a0, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x09d4efd9, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x1a55bb10, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x4512c886, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x47289908, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x3531bd62, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x9e21e8a3, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x2541bad9, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x7b43f736, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x1cedb16c, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xb6bb3b52, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x0239c609, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xd6d67787, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x2d2071fa, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x72b55f95, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x6c94c928, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xf2d8d0b0, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xa865fe70, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x89130d3b, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x7ca21fb8, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x9a282fe7, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xabf34676, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x31aa7e14, "_gpl");
SYMBOL_CRC(nfs_create, 0x82e1f157, "_gpl");
SYMBOL_CRC(nfs_mknod, 0xea0f3c27, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x837014bf, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xe924c969, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x8b5451d1, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x237cad15, "_gpl");
SYMBOL_CRC(nfs_link, 0xd238e52b, "_gpl");
SYMBOL_CRC(nfs_rename, 0xa7dae626, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xbfed5060, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xfaab221e, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0x02f41ab6, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x4655e8e0, "_gpl");
SYMBOL_CRC(nfs_permission, 0xcd916f77, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x2241af44, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x72d62609, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x36ca943f, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x78e84b03, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x63280836, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0x8bbeea66, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xbaf22958, "_gpl");
SYMBOL_CRC(nfs_lock, 0x58f12bab, "_gpl");
SYMBOL_CRC(nfs_flock, 0x6c83e1f0, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0xbf8ba57e, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x693e3ab2, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xa103d59f, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0xf1329bb8, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x1258d4b3, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x2268fdba, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xfc3c9c00, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0xd9985212, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x19114d18, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xa60ae477, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x784fca4a, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x06d04325, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x9789c6d5, "_gpl");
SYMBOL_CRC(nfs_getattr, 0xb05e57de, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x1a6ce850, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x169f1401, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x819d2245, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xe39be73e, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xa32a4724, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x812c4271, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0xe3f5f80e, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xcbe6d4c9, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x875d9a13, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0xf7bd7386, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x508db80a, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x1fd2a4fc, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xa5ad1e81, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xa0205e78, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x2ed5b4ea, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xd08cc54c, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x82258181, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x3a051f48, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x779ac9e3, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x3017b3e5, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x8ed6b932, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xd808e596, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x123df1b8, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xe0f7e550, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x6f636ebf, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0xba0a2baf, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xe5b88fe7, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xa3809e7b, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xc725ce4d, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0x899fcf9a, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x0fae55d2, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x30dc8c7f, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x178779be, "_gpl");
SYMBOL_CRC(nfs_wait_on_request, 0x99e92aad, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xaeabd7ff, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xaead22b7, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0x690bec3c, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xef311ed0, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0xdb3a39ac, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x5dcb7781, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x5f57d702, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0xe54762f5, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x16cd9492, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x274844e8, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x3536d9e6, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xd9c74d3e, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xd78d5176, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x920e4487, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xf0c446e5, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xae9dde2c, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xa553c1eb, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x68da9221, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xd59d731d, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xde9abe9d, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xf951ab5d, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xd1b64e19, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0xc1851a64, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x49a95b95, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x4b474ef3, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xde29182d, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xd21fe9e3, "_gpl");
SYMBOL_CRC(nfs_path, 0xd74450ae, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xdba677ad, "_gpl");
SYMBOL_CRC(nfs_submount, 0x7d016027, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x7e202e89, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xe83d04fc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x29086fa3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xb2d1db6d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x34566b51, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0x09da9227, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xbcc60c8d, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x4db6c197, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xaf41530a, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xd2c01081, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x8cdc0bfe, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x5b268de9, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x4181a0f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7dd7df0a, "rpc_put_task" },
	{ 0xfe5c82c4, "super_setup_bdi_name" },
	{ 0x3e869006, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf9b21e67, "__page_file_index" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xff6de82e, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdc0bb6ab, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xe9f344d8, "clear_nlink" },
	{ 0xe9f65879, "file_check_and_advance_wb_err" },
	{ 0xffb8ae28, "try_module_get" },
	{ 0x7cec0378, "d_alloc_parallel" },
	{ 0x5bc418fb, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8f809dae, "clear_inode" },
	{ 0x95aff0d3, "inode_to_bdi" },
	{ 0x90c43f5c, "bpf_trace_run4" },
	{ 0xc23a6831, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x133092bc, "param_ops_ulong" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x7f59bb74, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9580eb7d, "sysfs_create_file_ns" },
	{ 0xe91e6106, "rpc_shutdown_client" },
	{ 0x95b98015, "fs_param_is_string" },
	{ 0x7750e1b4, "folio_unlock" },
	{ 0x211ce97e, "mnt_set_expiry" },
	{ 0x178ef280, "param_ops_ushort" },
	{ 0xc4a37bd9, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x10f51530, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3ee598ab, "filemap_map_pages" },
	{ 0x7143ed11, "__fscache_begin_read_operation" },
	{ 0x6a592eb2, "xdr_inline_decode" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x967b20af, "dump_page" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x79da9921, "kobject_rename" },
	{ 0x47f7f110, "security_sb_set_mnt_opts" },
	{ 0x6d9d7fee, "init_special_inode" },
	{ 0x844e4ce5, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x5ca6fa97, "filemap_fdatawrite_range" },
	{ 0xdc8cfbd2, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x18a10126, "d_make_root" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x23c827ef, "sync_filesystem" },
	{ 0xf38e30c1, "__fscache_unuse_cookie" },
	{ 0x600229a5, "folio_redirty_for_writepage" },
	{ 0x858d04b6, "register_shrinker" },
	{ 0x4f1d6afe, "sget_fc" },
	{ 0xde661fa5, "d_splice_alias" },
	{ 0x54c135d7, "generic_error_remove_page" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x60dc5993, "unmap_mapping_range" },
	{ 0x97bf7390, "ihold" },
	{ 0xb3cf0d66, "inode_dio_wait" },
	{ 0x9263fd79, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d3d66d3, "invalidate_inode_pages2_range" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x9dbfb95, "read_cache_page" },
	{ 0xb47812a2, "finish_open" },
	{ 0x674168f9, "iput" },
	{ 0x745e220d, "kset_unregister" },
	{ 0x21b73613, "security_sb_clone_mnt_opts" },
	{ 0x3982ff82, "fs_param_is_enum" },
	{ 0x14b568c2, "logfc" },
	{ 0x7d8a4208, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x85f9840c, "iter_file_splice_write" },
	{ 0xae95a858, "rpc_pton" },
	{ 0x70f53a10, "mod_node_page_state" },
	{ 0x33cc834c, "rpc_wake_up_queued_task" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe64d8e8a, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe6d03c0f, "rpc_restart_call_prepare" },
	{ 0x8facd230, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xde42e56d, "__module_get" },
	{ 0xb48d5199, "__fscache_relinquish_cookie" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbc0ab304, "register_filesystem" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xcee4b15b, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x878c1bed, "rpc_sleep_on" },
	{ 0x94035cb3, "rpc_run_task" },
	{ 0x431902d6, "netfs_readahead" },
	{ 0x72baecb3, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdb3071a7, "d_prune_aliases" },
	{ 0xd7ab19e1, "__put_cred" },
	{ 0x8c260f9e, "register_pernet_subsys" },
	{ 0xd235862, "swapcache_mapping" },
	{ 0x48d803f1, "rpc_cancel_tasks" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x82e07774, "migrate_folio" },
	{ 0xe5f4d688, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd0e3e76, "fs_param_is_u32" },
	{ 0xa251d105, "inode_newsize_ok" },
	{ 0xc17d34e, "d_drop" },
	{ 0x3cc6a99, "deactivate_super" },
	{ 0xc2512b33, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xd026ed84, "security_sb_mnt_opts_compat" },
	{ 0x3c024026, "param_get_uint" },
	{ 0x356a2eba, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3e6bbfca, "make_kuid" },
	{ 0x5c47d1f2, "truncate_inode_pages_final" },
	{ 0xd7aecc09, "d_alloc" },
	{ 0xf13dda04, "fs_kobj" },
	{ 0x5a1a8a67, "net_ns_type_operations" },
	{ 0xdadf99b, "__filemap_set_wb_err" },
	{ 0xa370d5ac, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x657f2b77, "generic_perform_write" },
	{ 0xd93c3464, "__filemap_get_folio" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x97ea079, "unregister_shrinker" },
	{ 0xa7e64ffa, "simple_nosetlease" },
	{ 0xe651881f, "__free_pages" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd3a61f58, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x8de9a779, "rpc_setbufsize" },
	{ 0x79abc6d0, "fs_context_for_submount" },
	{ 0xc54b0605, "inode_init_once" },
	{ 0x79336f07, "folio_wait_private_2" },
	{ 0x298ebadc, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x61651be, "strcat" },
	{ 0xe3fab8f1, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xe960d668, "seq_escape_mem" },
	{ 0x2c904de3, "ilookup5" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7f5c0dc6, "generic_parse_monolithic" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x67153ef7, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xecef33bc, "security_d_instantiate" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xea1c8603, "generic_file_read_iter" },
	{ 0x6bf6c5d9, "unlock_page" },
	{ 0xd9806959, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x559d9b58, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd5fb716, "put_fs_context" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xba9c8507, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x1a0b40e1, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x11a92a1f, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7b568ba3, "write_cache_pages" },
	{ 0x43cd560f, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0xfe9f38a1, "rpc_max_payload" },
	{ 0x31273e96, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xd1cb1b8, "d_move" },
	{ 0x332d9740, "seq_putc" },
	{ 0x3849851b, "rpc_proc_unregister" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7a729b7c, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xb91c109b, "folio_wait_writeback" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3916fb99, "nlmclnt_rpc_clnt" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x7fc79049, "kobject_init_and_add" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf3741063, "write_inode_now" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xc67dce1a, "d_obtain_alias" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x1efe5118, "rpc_create" },
	{ 0x25d97527, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xae2b7a76, "__folio_start_writeback" },
	{ 0xa1e288b1, "d_obtain_root" },
	{ 0x217eeef9, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xf6e093e4, "folio_end_writeback" },
	{ 0x37c2d9c5, "rpc_call_sync" },
	{ 0x1aa99599, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x1bb4069f, "rpc_put_task_async" },
	{ 0x76e8bedc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x8633bb0a, "xdr_init_decode_pages" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xc48a724e, "kmemleak_not_leak" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfbd78cde, "rpc_exit" },
	{ 0x618f2198, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xfdbb53ef, "d_delete" },
	{ 0x12b33c7b, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x41cd60f6, "nfs_ssc_unregister" },
	{ 0x6a642441, "rpc_killall_tasks" },
	{ 0x668b19a1, "down_read" },
	{ 0xa5e5c5f1, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf0eb9e1f, "iov_iter_get_pages_alloc2" },
	{ 0xe81152e2, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x37670063, "bpf_trace_run3" },
	{ 0x985bc01b, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb4963dc, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdb9fa6f2, "generic_read_dir" },
	{ 0xa528c0ff, "kobject_del" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x8942c989, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7dbd4b71, "filemap_fdatawait_range" },
	{ 0xfacbf690, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x6dd44497, "security_inode_notifysecctx" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa31960c9, "nfs_ssc_register" },
	{ 0x8b4d4da1, "init_user_ns" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8f3b4ed8, "invalidate_inode_pages2" },
	{ 0x435f2f35, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x9a97bf67, "__folio_put" },
	{ 0xa2095084, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xb4e93e28, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x40470452, "deactivate_locked_super" },
	{ 0xbd53d2de, "put_rpccred" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x3124537e, "__percpu_down_read" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc8e7364e, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x42558f1b, "kobject_uevent" },
	{ 0x393d9bc6, "__fscache_invalidate" },
	{ 0x5b7b9f6, "folio_mapping" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xec6ebe32, "cred_fscmp" },
	{ 0xb52dcbb4, "__folio_lock" },
	{ 0xd474f627, "filemap_dirty_folio" },
	{ 0x819cbb7d, "pagecache_get_page" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x39de4180, "is_bad_inode" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0x723976af, "__fscache_use_cookie" },
	{ 0x249a96db, "rcuwait_wake_up" },
	{ 0x33b46b29, "_proc_mkdir" },
	{ 0xbf37e306, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x4d28b5bf, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x71f023d, "__fs_parse" },
	{ 0x1eaa93e1, "sysfs_create_link_nowarn" },
	{ 0xa2288838, "filemap_splice_read" },
	{ 0xa08a58a1, "dget_parent" },
	{ 0xfa005a62, "nlmclnt_init" },
	{ 0x4d072cd3, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x5d234bb8, "iget5_locked" },
	{ 0x7b351813, "filemap_write_and_wait_range" },
	{ 0x94cf8a70, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc7c8e369, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5e39755d, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0x5677dede, "netfs_subreq_terminated" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0x175ed9f2, "generic_write_checks" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6f5d3749, "mntget" },
	{ 0xeb10abf1, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x108dd1b, "kmem_cache_alloc_lru" },
	{ 0xec5ed5b7, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaf7f1042, "d_invalidate" },
	{ 0x24e40b15, "__mark_inode_dirty" },
	{ 0x7f3820bf, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d326a16, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x53b954a2, "up_read" },
	{ 0xacf2027a, "rpc_wait_for_completion_task" },
	{ 0xa9bd33a, "set_anon_super" },
	{ 0xd58441bd, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0xebad5c81, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7a516335, "kobject_put" },
	{ 0x3636ab70, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "E7DB7CB917B340C2CD14310");
