#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xe6bc9c55, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x217d92c6, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x2b08fd77, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xa82e871f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xd7fbbac6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb485bdbb, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfd15b34b, "sock_i_uid" },
	{ 0xcd3ae174, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0xa654a502, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xb5a74338, "sock_wfree" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xee04a661, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb6e931a4, "ip6_dst_hoplimit" },
	{ 0x2f286c37, "consume_skb" },
	{ 0x1dc3d465, "inet6_add_offload" },
	{ 0x2fea29ef, "crypto_shash_tfm_digest" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5535f6e7, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0x525eae41, "l3mdev_fib_table_by_index" },
	{ 0x6a7d86d6, "udp_sock_create4" },
	{ 0xa826f89, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x1f737604, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b638f61, "skb_segment" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x65219386, "__ip_dev_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf26a8f15, "udp_tunnel6_xmit_skb" },
	{ 0x103eddba, "sock_common_getsockopt" },
	{ 0xf319f92d, "inet_bind" },
	{ 0xafb98086, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3288bf04, "fd_install" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fa6a7ec, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1fe68764, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x8b2a6926, "sock_common_setsockopt" },
	{ 0xe64d8e8a, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7b3829f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe101a84a, "rhashtable_walk_enter" },
	{ 0x885ceab4, "kmem_cache_create" },
	{ 0xbd2dfe92, "__sk_mem_schedule" },
	{ 0xafcc53da, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4c48d2ea, "sock_alloc_file" },
	{ 0xbde5ace8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x72baecb3, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6adde92f, "sk_error_report" },
	{ 0x8c260f9e, "register_pernet_subsys" },
	{ 0x2e23b9a8, "put_cmsg" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xd8527f3e, "timer_reduce" },
	{ 0x9bbf3c97, "register_net_sysctl_sz" },
	{ 0x8ac3e8c7, "inet_sock_destruct" },
	{ 0x1fa6a7b9, "crypto_destroy_tfm" },
	{ 0x7fb0a5ed, "sock_kmalloc" },
	{ 0x102cc4e1, "inet_sk_get_local_port_range" },
	{ 0xb87374cd, "inet6_del_protocol" },
	{ 0xd3ab8438, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2223777c, "inet_getname" },
	{ 0xc2fd9643, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x6a4ab46e, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x45907578, "inet_release" },
	{ 0xf6b8ae33, "kmem_cache_alloc" },
	{ 0x3249301d, "proto_register" },
	{ 0x38470e83, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x71b87a0b, "inet6_compat_ioctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x7176c0be, "inet_ctl_sock_create" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5f8cbebe, "inet_ioctl" },
	{ 0x1e90f850, "reuseport_add_sock" },
	{ 0xe845b401, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc1a1eda4, "sk_filter_trim_cap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0x4efa7b5b, "fput" },
	{ 0xeb19cc91, "__traceiter_sk_data_ready" },
	{ 0x1cb05093, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x361a3d40, "init_net" },
	{ 0xba29ee0, "crypto_shash_setkey" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0xb74b7fbc, "inet_add_offload" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xceec0ba7, "inet_add_protocol" },
	{ 0xe59ac293, "inet_shutdown" },
	{ 0x3ecc5a, "sk_free" },
	{ 0x4e132955, "sock_wake_async" },
	{ 0xf421c37b, "dev_get_by_index_rcu" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x229355cf, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0x32e5a948, "__ip_queue_xmit" },
	{ 0x5885d3ff, "kmem_cache_free" },
	{ 0xd173cf7a, "__sk_mem_reclaim" },
	{ 0xb64b5941, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83ffa521, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x5bcda42a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7bd8b594, "inet6_ioctl" },
	{ 0xd9644242, "skb_copy_datagram_iter" },
	{ 0x390775ed, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x7e36d7c5, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x76e8bedc, "unregister_pernet_subsys" },
	{ 0x6f9f7709, "__cpu_possible_mask" },
	{ 0x846bb492, "ip6_dst_lookup_flow" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x7c91c8fc, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x31a00f1b, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5e930bb8, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0xde407c5c, "setup_udp_tunnel_sock" },
	{ 0x8251040a, "udp_sock_create6" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc0cba148, "sk_common_release" },
	{ 0x37670063, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x2d28c113, "inet6_getname" },
	{ 0x6fbd4094, "sock_i_ino" },
	{ 0xcc74c004, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcda2623, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xa97036bc, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5d85a3e5, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0xbd77c4ac, "__skb_checksum" },
	{ 0x33e5c03, "reuseport_alloc" },
	{ 0xfac7e2d1, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x722f221f, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xfebf680f, "inet_sendmsg" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc274b615, "ipv6_dup_options" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbdddd32f, "rhltable_init" },
	{ 0xf2156afa, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f2d47a, "seq_printf" },
	{ 0xe60883fd, "proc_create_net_single" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x5d9f7ffc, "skb_copy" },
	{ 0xd2b84c1d, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x35f40403, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x663cbb0a, "dst_release" },
	{ 0xa782b2bd, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x266dcc77, "sock_release" },
	{ 0xaebb0bdf, "inet_recv_error" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xce0e4c27, "seq_puts" },
	{ 0x9c2861f4, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xffae3c24, "rhashtable_walk_next" },
	{ 0x33b46b29, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeb544d3e, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5919fab8, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x464882a, "inet6_add_protocol" },
	{ 0xc5a0fb7, "from_kuid_munged" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0x88371999, "ip_setsockopt" },
	{ 0xf783f894, "ipv6_flowlabel_exclusive" },
	{ 0x518fcd6, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa9123216, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdb2284fb, "reuseport_detach_sock" },
	{ 0x83449d5f, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x87333ee, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xa6b2d490, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2d9a1601, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc1b26356, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x3ed94307, "kmem_cache_destroy" },
	{ 0x230aa8ea, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1275d1a3, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "8FEDE5B756267ED8E49526D");
