#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x2e01cbae, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x9dd46886, "");
SYMBOL_CRC(wiphy_register, 0x2280cfa8, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x74f6bff9, "");
SYMBOL_CRC(wiphy_unregister, 0xfc418482, "");
SYMBOL_CRC(wiphy_free, 0x814fae50, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0x509de2c9, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xc6281a5d, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x01664114, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x6d70171e, "");
SYMBOL_CRC(wiphy_work_queue, 0x5175c92f, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x964afb89, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x305c2bbe, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x484691c4, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x496406ca, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x0cd8bc23, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x30e1db96, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x76a9a331, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x87096186, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0xa8ae2a75, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x73c5c7c5, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xb5bff52b, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x148f37ff, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xb57db7f6, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xbd900526, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x51003862, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x043ccd0c, "");
SYMBOL_CRC(cfg80211_get_station, 0x8b7fe915, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x9022be01, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xe374068b, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x02bf405c, "");
SYMBOL_CRC(get_wiphy_regdom, 0x57739ac3, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0xfb298e60, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xa6d8a240, "");
SYMBOL_CRC(regulatory_hint, 0x3d08f2df, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x501faeef, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x81554d6d, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x63efa3a9, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x7d3ea4d8, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x30ba260f, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xca37c154, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xbd4a6cce, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x2754d85a, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0xa6572b4c, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xc572c706, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x41adfeb9, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x5f53190c, "");
SYMBOL_CRC(cfg80211_put_bss, 0x02834abb, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xd6291c81, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x151e4dbd, "");
SYMBOL_CRC(nl80211_send_chandef, 0x6cc45ae4, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x18e47df8, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x6041d2f3, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0xd5bb7d53, "");
SYMBOL_CRC(cfg80211_nan_match, 0xf6244593, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x2fd696de, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xbf91c319, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x1ceaf43f, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xa229599f, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xe5a4c052, "");
SYMBOL_CRC(cfg80211_links_removed, 0x76dfd77e, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x81337e67, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xa438fcb4, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x0b9abba4, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x6eacc157, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x7315017b, "");
SYMBOL_CRC(cfg80211_new_sta, 0x423d5f85, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x1a6e2a19, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xa492aa09, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x6b27bf18, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x8371c34b, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x9edb9687, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xd426fd12, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x34b70c9d, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x1c050c43, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xf4c20388, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x3a0c63ec, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0xe75a04fd, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x1b375825, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xe4efd39a, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x21684ccb, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x233d6429, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x591cb91a, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xee1d5470, "");
SYMBOL_CRC(cfg80211_probe_status, 0x57b55caa, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x61a6c964, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x8eec4045, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xc16ff214, "");
SYMBOL_CRC(cfg80211_ft_event, 0xafb4e703, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x3a42311e, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x95507cb1, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0xeda281f1, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xfe15e72c, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0xe69e783f, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xd124bdc9, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x81a1be5f, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xde5a12ea, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x7753e73d, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xf743fe76, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x56cf2b79, "");
SYMBOL_CRC(cfg80211_cac_event, 0x78f978df, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xcca64f57, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xd6ec057b, "");
SYMBOL_CRC(cfg80211_connect_done, 0x49c14067, "");
SYMBOL_CRC(cfg80211_roamed, 0xdd1ba3fa, "");
SYMBOL_CRC(cfg80211_port_authorized, 0x9d50fa59, "");
SYMBOL_CRC(cfg80211_disconnected, 0x1c97ed65, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x6b7c83b8, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xc978d048, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xd7a99079, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x868ccf37, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x33eb1b95, "");
SYMBOL_CRC(wdev_chandef, 0xd2990a94, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0xab77e9a8, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xed579aa8, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x9969c62b, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0xa6d3eeaf, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e4c7870, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76bc28cd, "verify_pkcs7_signature" },
	{ 0x90c43f5c, "bpf_trace_run4" },
	{ 0xf97d8d6b, "skb_copy_bits" },
	{ 0xfc4cce00, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xecff50d7, "dev_set_name" },
	{ 0x2f286c37, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd7eff0d9, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x967b20af, "dump_page" },
	{ 0x15e42965, "trace_raw_output_prep" },
	{ 0xb29e0367, "nla_put_64bit" },
	{ 0x854bb159, "bpf_trace_run6" },
	{ 0xe6bbc21d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xcdbc0749, "request_firmware" },
	{ 0xc24861b8, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7ed2491a, "device_initialize" },
	{ 0x86823630, "skb_add_rx_frag" },
	{ 0x9e009d51, "genlmsg_put" },
	{ 0x272964b1, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xcb3eea89, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7e43cc9e, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x17770a68, "unregister_netdevice_queue" },
	{ 0x8a19b575, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x44a33b4b, "keyring_alloc" },
	{ 0xff58c29e, "netdev_err" },
	{ 0xdc03f6e4, "device_rename" },
	{ 0x69789c6b, "trace_event_buffer_commit" },
	{ 0xcff0a234, "eth_type_trans" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x664db34c, "put_device" },
	{ 0xec1e36e6, "netlink_broadcast" },
	{ 0x5a1a8a67, "net_ns_type_operations" },
	{ 0xcb1db800, "__alloc_skb" },
	{ 0xebe21fae, "sysfs_create_link" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb402ce42, "inet_csk_get_port" },
	{ 0xde31500c, "key_put" },
	{ 0x862a6b91, "kobject_uevent_env" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xb8c3687e, "__dev_get_by_index" },
	{ 0xe6ab4fc, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xeb6d0aa5, "_dev_err" },
	{ 0x361a3d40, "init_net" },
	{ 0x6c595d49, "request_firmware_nowait" },
	{ 0xa0ca8448, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1fd874d4, "device_add" },
	{ 0x5b481dff, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x145477ca, "init_uts_ns" },
	{ 0x4d1879e9, "platform_device_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x22dbbae1, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x30c2d2f9, "dev_get_by_index" },
	{ 0x11a92a1f, "bpf_trace_run5" },
	{ 0xe6e8d33c, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xfd54b1ac, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x44a6afa9, "skb_push" },
	{ 0x8ade9682, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12e5e082, "nla_put" },
	{ 0xe4c0c7c1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcd279169, "nla_find" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf9a2b652, "of_find_property" },
	{ 0xc9889e0, "class_unregister" },
	{ 0x29034c86, "__cpu_online_mask" },
	{ 0xe728e9b, "unregister_pernet_device" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x217eeef9, "bpf_trace_run1" },
	{ 0x65d23d9a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xdcb764ad, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc35f7c4b, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc76ab4e6, "__pskb_pull_tail" },
	{ 0x3c54476b, "netif_rx" },
	{ 0x3e2d5604, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9cef7d4, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x286a87c5, "of_prop_next_u32" },
	{ 0x37670063, "bpf_trace_run3" },
	{ 0x985bc01b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6fe89af, "get_net_ns_by_pid" },
	{ 0xaf03000c, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x1159874d, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6671db8f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x499bc8d3, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x10bcb528, "x509_load_certificate_list" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x266dcc77, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x30035d8b, "genl_unregister_family" },
	{ 0x98ffd74, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcf447a4a, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xfd7ac5f7, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x710480c6, "debugfs_create_dir" },
	{ 0x35c912c, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x935db151, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf4bc3fd9, "register_pernet_device" },
	{ 0xed60256f, "get_net_ns_by_fd" },
	{ 0xdb091696, "class_register" },
	{ 0x7c05d984, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2fdce0f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xadc58087, "register_netdevice" },
	{ 0xd1892320, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "86B05B305144F869A1349B0");
